package com.chinaitop.depot.intelligent.basicData.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TCcinfo;
import com.chinaitop.depot.intelligent.basicData.model.TFumigationCirculation;
import com.chinaitop.depot.intelligent.basicData.param.TCcinfoParam;
import com.chinaitop.depot.intelligent.basicData.param.TFumigationCirculationPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TFumigationCirculationParam;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.service.TCcinfoService;
import com.chinaitop.depot.intelligent.basicData.service.TFumigationCirculationService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 虫害设备配置 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/t-ccinfo")
@Api(value = "TCcinfoController", description = "虫害设备配置控制类")
public class TCcinfoController {


    @Autowired
    private TCcinfoService tCcinfoService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 虫害设备配置 信息列表", notes = "查询 通风设备 信息列表")
    public ResponseEntity<Page<TCcinfo>> getList(TLqinfoPageParam pageParam) {

        return ResponseEntity.ok(tCcinfoService.getList(pageParam));
    }
    @PostMapping("/save")
    @ApiOperation(value = "虫害设备配置新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody TCcinfoParam param) {
        return ResponseEntity.ok(tCcinfoService.saveData(param));
    }

    @PutMapping("/update")
    @ApiOperation(value = "虫害设备配置修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody TCcinfoParam param) {
        return ResponseEntity.ok(tCcinfoService.updateData(param));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "虫害设备配置删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(tCcinfoService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "虫害设备配置详情", notes = "id获取详情")
    public ResponseEntity<TCcinfo> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(tCcinfoService.getById(id));
    }





}
