package com.chinaitop.depot.intelligent.basicData.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TJctable;
import com.chinaitop.depot.intelligent.basicData.param.TJctablePageParam;
import com.chinaitop.depot.intelligent.basicData.param.TJctableParam;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoParam;
import com.chinaitop.depot.intelligent.basicData.service.TJctableService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 数量监测设备配置 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/t-jctable")
@Api(value = "TJctableController", description = "数量监测设备控制类")
public class TJctableController {


    @Autowired
    private TJctableService tJctableService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 数量监测设备配置 信息列表", notes = "查询 数量监测设备配置 信息列表")
    public ResponseEntity<Page<TJctable>> getList(TJctablePageParam pageParam) {

        return ResponseEntity.ok(tJctableService.getList(pageParam));
    }
    @PostMapping("/save")
    @ApiOperation(value = "数量监测设备配置新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody TJctableParam param) {
        return ResponseEntity.ok(tJctableService.saveData(param));
    }

    @PutMapping("/update")
    @ApiOperation(value = "数量监测设备配置修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody TJctableParam param) {
        return ResponseEntity.ok(tJctableService.updateData(param));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "数量监测设备配置删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(tJctableService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "数量监测设备配置详情", notes = "id获取详情")
    public ResponseEntity<TJctable> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(tJctableService.getById(id));
    }


}
