package com.chinaitop.depot.intelligent.basicData.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TFumigationCirculation;
import com.chinaitop.depot.intelligent.basicData.model.TLqinfo;
import com.chinaitop.depot.intelligent.basicData.param.*;
import com.chinaitop.depot.intelligent.basicData.service.TFumigationCirculationService;
import com.chinaitop.depot.intelligent.basicData.service.TLqinfoService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 粮情设备配置 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/t-lqinfo")
@Api(value = "TLqinfoController", description = "粮情设备配置控制类")
public class TLqinfoController {

    @Autowired
    private TLqinfoService tLqinfoService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 粮情设备配置 信息列表", notes = "查询 粮情设备配置 信息列表")
    public ResponseEntity<Page<TLqinfo>> getList(TLqinfoToPageParam pageParam) {

        return ResponseEntity.ok(tLqinfoService.getList(pageParam));
    }
    @PostMapping("/save")
    @ApiOperation(value = "粮情设备配置新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody TLqinfoParam tLqinfo) {
        return ResponseEntity.ok(tLqinfoService.saveData(tLqinfo));
    }

    @PutMapping("/update")
    @ApiOperation(value = "粮情设备配置修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody TLqinfoParam tLqinfo) {
        return ResponseEntity.ok(tLqinfoService.updateData(tLqinfo));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "粮情设备配置删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(tLqinfoService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "粮情设备配置详情", notes = "id获取详情")
    public ResponseEntity<TLqinfo> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(tLqinfoService.getById(id));
    }




}
