package com.chinaitop.depot.intelligent.basicData.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TLqinfo;
import com.chinaitop.depot.intelligent.basicData.model.TNtinfo;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoParam;
import com.chinaitop.depot.intelligent.basicData.param.TNtinfoParam;
import com.chinaitop.depot.intelligent.basicData.service.TLqinfoService;
import com.chinaitop.depot.intelligent.basicData.service.TNtinfoService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 气调设备配置 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/t-ntinfo")
@Api(value = "TNtinfoController", description = "气调设备配置控制类")
public class TNtinfoController {


    @Autowired
    private TNtinfoService tNtinfoService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 气调设备配置 信息列表", notes = "查询 气调设备配置 信息列表")
    public ResponseEntity<Page<TNtinfo>> getList(TLqinfoPageParam pageParam) {

        return ResponseEntity.ok(tNtinfoService.getList(pageParam));
    }
    @PostMapping("/save")
    @ApiOperation(value = "气调设备配置新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody TNtinfoParam param) {
        return ResponseEntity.ok(tNtinfoService.saveData(param));
    }

    @PutMapping("/update")
    @ApiOperation(value = "气调设备配置修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody TNtinfoParam param) {
        return ResponseEntity.ok(tNtinfoService.updateData(param));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "气调设备配置删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(tNtinfoService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "气调设备配置详情", notes = "id获取详情")
    public ResponseEntity<TNtinfo> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(tNtinfoService.getById(id));
    }



}
