package com.chinaitop.depot.intelligent.basicData.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TLqinfo;
import com.chinaitop.depot.intelligent.basicData.model.TStation;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoParam;
import com.chinaitop.depot.intelligent.basicData.param.TStationPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TStationParam;
import com.chinaitop.depot.intelligent.basicData.service.TLqinfoService;
import com.chinaitop.depot.intelligent.basicData.service.TStationService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 通信设置 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/t-station")
@Api(value = "TStationController", description = "通信设置控制类")
public class TStationController {



    @Autowired
    private TStationService tStationService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 通信设置 信息列表", notes = "查询 通信设置 信息列表")
    public ResponseEntity<Page<TStation>> getList(TStationPageParam pageParam) {

        return ResponseEntity.ok(tStationService.getList(pageParam));
    }
    @PostMapping("/save")
    @ApiOperation(value = "通信设置新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody TStationParam param) {
        return ResponseEntity.ok(tStationService.saveData(param));
    }

    @PutMapping("/update")
    @ApiOperation(value = "通信设置修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody TStationParam param) {
        return ResponseEntity.ok(tStationService.updateData(param));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "通信设置删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(tStationService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "通信设置详情", notes = "id获取详情")
    public ResponseEntity<TStation> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(tStationService.getById(id));
    }

}
