package com.chinaitop.depot.intelligent.basicData.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 库点仓房信息
 * </p>
 *
 * @author root
 * @since 2024-05-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_storehouse")
@ApiModel(value="BasicStorehouse对象", description="库点仓房信息")
public class BasicStorehouse implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId("storehouse_id")
    private String storehouseId;

    @ApiModelProperty(value = "与一体化系统对接使用的主键")
    @TableField("uuid")
    private String uuid;

    @ApiModelProperty(value = "所属库点ID")
    @TableField("depot_id")
    private String depotId;

    @ApiModelProperty(value = "所属库点名称")
    @TableField("depot_name")
    private String depotName;

    @ApiModelProperty(value = "部门ID")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "部门名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "仓房编号")
    @TableField("storehouse_code")
    private String storehouseCode;

    @ApiModelProperty(value = "仓房名称")
    @TableField("storehouse_name")
    private String storehouseName;

    @ApiModelProperty(value = "仓房类型编号（立筒仓等）")
    @TableField("storehouse_type")
    private String storehouseType;

    @ApiModelProperty(value = "仓房类型明细")
    @TableField("storehouse_type_mx")
    private String storehouseTypeMx;

    @ApiModelProperty(value = "建筑类型")
    @TableField("architecture_type")
    private String architectureType;

    @ApiModelProperty(value = "仓房图")
    @TableField("store_img")
    private String storeImg;

    @ApiModelProperty(value = "仓房结构_地面")
    @TableField("ground")
    private String ground;

    @ApiModelProperty(value = "仓房结构_墙体")
    @TableField("wall")
    private String wall;

    @ApiModelProperty(value = "仓房结构_房顶")
    @TableField("roof")
    private String roof;

    @ApiModelProperty(value = "仓房结构_房架")
    @TableField("house")
    private String house;

    @ApiModelProperty(value = "设计容量（数字，单位吨）")
    @TableField("design_capacity")
    private BigDecimal designCapacity;

    @ApiModelProperty(value = "保管方式")
    @TableField("keeping_way")
    private String keepingWay;

    @ApiModelProperty(value = "装粮高度")
    @TableField("grain_heigth")
    private BigDecimal grainHeigth;

    @ApiModelProperty(value = "仓外_长（米）")
    @TableField("store_outside_length")
    private BigDecimal storeOutsideLength;

    @ApiModelProperty(value = "仓外_宽（米）")
    @TableField("store_outside_width")
    private BigDecimal storeOutsideWidth;

    @ApiModelProperty(value = "仓外_檐高（米）")
    @TableField("store_outside_heigth")
    private BigDecimal storeOutsideHeigth;

    @ApiModelProperty(value = "仓外_顶高(米)")
    @TableField("store_outside_top_heigth")
    private BigDecimal storeOutsideTopHeigth;

    @ApiModelProperty(value = "筒仓外径(米)")
    @TableField("outside_silo_diameter")
    private BigDecimal outsideSiloDiameter;

    @ApiModelProperty(value = "外墙面积(平方米)")
    @TableField("outer_wall_area")
    private BigDecimal outerWallArea;

    @ApiModelProperty(value = "扣除体积")
    @TableField("deduct_volume")
    private BigDecimal deductVolume;

    @ApiModelProperty(value = "仓内长度（米）")
    @TableField("length")
    private BigDecimal length;

    @ApiModelProperty(value = "仓内宽度（米）")
    @TableField("width")
    private BigDecimal width;

    @ApiModelProperty(value = "仓内檐高（米）")
    @TableField("heigth")
    private BigDecimal heigth;

    @ApiModelProperty(value = "仓内装粮线高")
    @TableField("grain_line_heigth")
    private BigDecimal grainLineHeigth;

    @ApiModelProperty(value = "筒仓内径")
    @TableField("silo_diameter")
    private BigDecimal siloDiameter;

    @ApiModelProperty(value = "仓内体积")
    @TableField("bin_volume")
    private BigDecimal binVolume;

    @ApiModelProperty(value = "粮堆体积")
    @TableField("grain_pile_volume")
    private BigDecimal grainPileVolume;

    @ApiModelProperty(value = "仓门数量")
    @TableField("house_door_num")
    private Integer houseDoorNum;

    @ApiModelProperty(value = "仓门位置")
    @TableField("house_doot_position")
    private String houseDootPosition;

    @ApiModelProperty(value = "仓门宽度（米）")
    @TableField("house_door_width")
    private BigDecimal houseDoorWidth;

    @ApiModelProperty(value = "仓门高度（米）")
    @TableField("house_door_heigth")
    private BigDecimal houseDoorHeigth;

    @ApiModelProperty(value = "通风方式")
    @TableField("draftType")
    private String drafttype;

    @ApiModelProperty(value = "隔热方式_仓顶")
    @TableField("heatinsulationstep_roof")
    private String heatinsulationstepRoof;

    @ApiModelProperty(value = "隔热方式_仓窗")
    @TableField("heatinsulationstep_window")
    private String heatinsulationstepWindow;

    @ApiModelProperty(value = "隔热保温措施")
    @TableField("grbwcs")
    private String grbwcs;

    @ApiModelProperty(value = "能否散装储存(1:能,0:否,9:其他或不确定)")
    @TableField("nfszcc")
    private Integer nfszcc;

    @ApiModelProperty(value = "有无防鼠防雀防虫装置及设施(1:能,0:否,9:其他或不确定)")
    @TableField("ywfsfqfczz")
    private Integer ywfsfqfczz;

    @ApiModelProperty(value = "有无防火防爆防盗设施(1:能,0:否,9:其他或不确定)")
    @TableField("ywfhfbfdss")
    private Integer ywfhfbfdss;

    @ApiModelProperty(value = "有无粮情检测设施(1:能,0:否,9:其他或不确定)")
    @TableField("ywlqjcss")
    private Integer ywlqjcss;

    @ApiModelProperty(value = "有无机械通风设施(1:能,0:否,9:其他或不确定)")
    @TableField("ywjxtfss")
    private Integer ywjxtfss;

    @ApiModelProperty(value = "能否环流熏蒸杀虫(1:能,0:否,9:其他或不确定)")
    @TableField("nfhlxzsc")
    private Integer nfhlxzsc;

    @ApiModelProperty(value = "能否富氮低氧气调储粮(1:能,0:否,9:其他或不确定)")
    @TableField("nffddyqtcl")
    private Integer nffddyqtcl;

    @ApiModelProperty(value = "能否仓外测虫(1:能,0:否,9:其他或不确定)")
    @TableField("nfcwcc")
    private Integer nfcwcc;

    @ApiModelProperty(value = "实际容量（数字，单位吨）")
    @TableField("actual_capacity")
    private BigDecimal actualCapacity;

    @ApiModelProperty(value = "建成日期")
    @TableField("completion_date")
    private Date completionDate;

    @ApiModelProperty(value = "启用日期")
    @TableField("usedate")
    private Date usedate;

    @ApiModelProperty(value = "仓房状态")
    @TableField("storehouse_state")
    private String storehouseState;

    @ApiModelProperty(value = "储粮方式")
    @TableField("store_way")
    private String storeWay;

    @ApiModelProperty(value = "仓房使用状态 ")
    @TableField("currentType")
    private String currenttype;

    @ApiModelProperty(value = "责任保管员")
    @TableField("dutystoreman")
    private String dutystoreman;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "粮食作业状态 ")
    @TableField("working_status")
    private String workingStatus;

    @ApiModelProperty(value = "删除状态(1.正常，2.删除)")
    @TableField("del_flag")
    private Integer delFlag;

    @ApiModelProperty(value = "库类型，0.主粮库，1.代储点粮库")
    @TableField("library_type")
    private String libraryType;

    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "数据类型(0仓房,1油罐)")
    @TableField("datatype")
    private String datatype;

    @TableField("cfbm")
    private String cfbm;

    @TableField("ajbm")
    private String ajbm;

    @ApiModelProperty(value = "储粮功效")
    @TableField("clgx")
    private Integer clgx;

    @ApiModelProperty(value = "结构材料")
    @TableField("jgcl")
    private Integer jgcl;

    @ApiModelProperty(value = "隔热性能")
    @TableField("grxn")
    private Integer grxn;

    @ApiModelProperty(value = "气密性")
    @TableField("qmx")
    private Integer qmx;

    @ApiModelProperty(value = "粮情技术")
    @TableField("lqjs")
    private Integer lqjs;

    @ApiModelProperty(value = "通风技术")
    @TableField("tfjs")
    private Integer tfjs;

    @ApiModelProperty(value = "杀虫技术")
    @TableField("scjs")
    private Integer scjs;

    @ApiModelProperty(value = "控温技术")
    @TableField("kwjs")
    private Integer kwjs;

    @ApiModelProperty(value = "是否已进行信息化改造")
    @TableField("sfyjxxxhgz")
    private Integer sfyjxxxhgz;

    @ApiModelProperty(value = "挡粮门型式")
    @TableField("dlmxs")
    private String dlmxs;

    @ApiModelProperty(value = "建设单位")
    @TableField("jsdw")
    private String jsdw;

    @ApiModelProperty(value = "设计使用年限")
    @TableField("sjsynx")
    private String sjsynx;

    @ApiModelProperty(value = "设计单位")
    @TableField("sjdw")
    private String sjdw;

    @ApiModelProperty(value = "监理单位")
    @TableField("jldw")
    private String jldw;

    @ApiModelProperty(value = "能否隔热保温")
    @TableField("nfgrbw")
    private Integer nfgrbw;

    @ApiModelProperty(value = "通风系统型式")
    @TableField("tfxtxs")
    private Integer tfxtxs;

    @ApiModelProperty(value = "害虫检测方式")
    @TableField("hcjcfs")
    private String hcjcfs;

    @ApiModelProperty(value = "统一仓房编码")
    @TableField("tycfbm")
    private String tycfbm;

    @ApiModelProperty(value = "仓房经度")
    @TableField("cfjd")
    private BigDecimal cfjd;

    @ApiModelProperty(value = "仓房纬度")
    @TableField("cfwd")
    private BigDecimal cfwd;


}
