package com.chinaitop.depot.intelligent.basicData.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 质量管理-验收质检-检验项目及依据
 * </p>
 *
 * @author root
 * @since 2024-07-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_qc_quality_inspection_item")
@ApiModel(value="BusinessQcQualityInspectionItem对象", description="质量管理-验收质检-检验项目及依据")
public class BusinessQcQualityInspectionItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_qc_quality_inspection的id")
    @TableField("qc_quality_inspection_id")
    private Integer qcQualityInspectionId;

    @ApiModelProperty(value = "检验项目父id；basic_enum的id；")
    @TableField("parent_inspection_item_id")
    private Integer parentInspectionItemId;

    @ApiModelProperty(value = "检验项目；basic_enum的id；")
    @TableField("inspection_item_id")
    private Integer inspectionItemId;

    @ApiModelProperty(value = "检验值")
    @TableField("inspection_value")
    private String inspectionValue;

    @ApiModelProperty(value = "单项结论 (符合 :1   不符合 :0)")
    @TableField("single_conclusion")
    private String singleConclusion;

    @ApiModelProperty(value = "检验方法")
    @TableField("inspection_method")
    private String inspectionMethod;


}
