package com.chinaitop.depot.intelligent.basicData.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 数量监测设备配置
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_jctable")
@ApiModel(value="TJctable对象", description="数量监测设备配置")
public class TJctable implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数量检测id 32位唯一值")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "机构名称(库点名称)")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "数量检测名称")
    @TableField("v_jc_name")
    private String vJcName;

    @ApiModelProperty(value = "检测设备编码")
    @TableField("v_dev_code")
    private String vDevCode;

    @ApiModelProperty(value = "数量检测编码")
    @TableField("v_jc_code")
    private String vJcCode;

    @ApiModelProperty(value = "数量检测WS接口地址")
    @TableField("v_ws_src")
    private String vWsSrc;

    @ApiModelProperty(value = "视频IP")
    @TableField("v_vedio_ip")
    private String vVedioIp;

    @ApiModelProperty(value = "视频端口")
    @TableField("i_vedio_port")
    private Integer iVedioPort;

    @ApiModelProperty(value = "视频用户名")
    @TableField("v_vedio_user")
    private String vVedioUser;

    @ApiModelProperty(value = "视频密码")
    @TableField("v_vedio_pwd")
    private String vVedioPwd;

    @ApiModelProperty(value = "视频通道号")
    @TableField("v_vedio_tdh")
    private Integer vVedioTdh;

    @ApiModelProperty(value = "仓房编码")
    @TableField("v_cf_code")
    private String vCfCode;

    @ApiModelProperty(value = "仓房名称")
    @TableField("v_cf_name")
    private String vCfName;

    @ApiModelProperty(value = "设备品牌")
    @TableField("v_jcpp")
    private String vJcpp;

    @ApiModelProperty(value = "创建人")
    @TableField("update_person")
    private String updatePerson;

/*    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("update_time")
    private Date updateTime;*/

    @ApiModelProperty(value = "数据来源")
    @TableField("data_source")
    private String dataSource;

    @ApiModelProperty(value = "描述信息")
    @TableField("v_remark")
    private String vRemark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    @TableField("del_flag")
    private Integer delFlag;

    @ApiModelProperty(value = "创建时间")
    @TableField("updatetime")
    private Date updatetime;


}
