package com.chinaitop.depot.intelligent.basicData.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 控温设备配置(空调)
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_ktinfo")
@ApiModel(value="TKtinfo对象", description="控温设备配置(空调)")
public class TKtinfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "空调信息id 32位")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "库点名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "设备编码")
    @TableField("vdevcode")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    @TableField("vdevname")
    private String vdevname;

    @ApiModelProperty(value = "通道号")
    @TableField("idevtdh")
    private Integer idevtdh;

    @ApiModelProperty(value = "站点编码")
    @TableField("sitecode")
    private String sitecode;

    @ApiModelProperty(value = "仓房编码")
    @TableField("vcfcode")
    private String vcfcode;

    @ApiModelProperty(value = "仓房名称")
    @TableField("vcfname")
    private String vcfname;

    @ApiModelProperty(value = "当前温度")
    @TableField("currenttemp")
    private BigDecimal currenttemp;

    @ApiModelProperty(value = "当前模式")
    @TableField("currentmode")
    private Integer currentmode;

    @ApiModelProperty(value = "当前风速")
    @TableField("currentspeed")
    private BigDecimal currentspeed;

    @ApiModelProperty(value = "室温")
    @TableField("intemp")
    private BigDecimal intemp;

    @ApiModelProperty(value = "设备状态 0:正常；1：异常")
    @TableField("valarmstatue")
    private Integer valarmstatue;

    @ApiModelProperty(value = "操作状态 0关闭，1打开，2反正，3停止")
    @TableField("vstatue")
    private Integer vstatue;

    @ApiModelProperty(value = "更新时间")
    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    @TableField("del_flag")
    private Integer delFlag;


    @ApiModelProperty(value = "堆内温度(>℃开启空调)")
    @TableField("dnwd")
    private BigDecimal dnwd;

    @ApiModelProperty(value = "层温差(>℃开启空调)")
    @TableField("cwc")
    private BigDecimal cwc;
}
