package com.chinaitop.depot.intelligent.basicData.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 粮情设备配置
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_lqinfo")
@ApiModel(value="TLqinfo对象", description="粮情设备配置")
public class TLqinfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "粮情油情信息id 32位")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "设备编码")
    @TableField("vdevcode")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    @TableField("vdevname")
    private String vdevname;

    @ApiModelProperty(value = "通道号")
    @TableField("idevtdh")
    private Integer idevtdh;

    @ApiModelProperty(value = "站点编码")
    @TableField("sitecode")
    private String sitecode;

    @ApiModelProperty(value = "仓房编码")
    @TableField("vcfcode")
    private String vcfcode;

    @ApiModelProperty(value = "起始电缆号")
    @TableField("scable")
    private Integer scable;

    @ApiModelProperty(value = "结束电缆号")
    @TableField("ecable")
    private Integer ecable;

    @ApiModelProperty(value = "行")
    @TableField("t_row")
    private Integer tRow;

    @ApiModelProperty(value = "列")
    @TableField("col")
    private Integer col;

    @ApiModelProperty(value = "层")
    @TableField("layer")
    private Integer layer;

    @ApiModelProperty(value = "方位 0:从上到下，从左到右；1：从上到下，从右到左；2：从下到上，从左到右；3：从下到上，从右到左")
    @TableField("isequence")
    private Integer isequence;

    @ApiModelProperty(value = "是否反置 0:不反;1:反")
    @TableField("irevflag")
    private Integer irevflag;

    @ApiModelProperty(value = "粮情/油情 0:粮情;1:油情")
    @TableField("grainoil")
    private Integer grainoil;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    @TableField("del_flag")
    private Integer delFlag;

    @ApiModelProperty(value = "冗余字段")
    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "粮情名称")
    @TableField("lqmc")
    private String lqmc;

    @ApiModelProperty(value = "机构名称")
    @TableField("org_name")
    private String orgName;
}
