package com.chinaitop.depot.intelligent.basicData.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 气体液位设备设置
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_qtdevinfo")
@ApiModel(value="TQtdevinfo对象", description="气体液位设备设置")
public class TQtdevinfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "气体液位数据id 32位")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "设备编码")
    @TableField("vdevcode")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    @TableField("vdevname")
    private String vdevname;

    @ApiModelProperty(value = "设备类型编码")
    @TableField("vdevkindcode")
    private Integer vdevkindcode;

    @ApiModelProperty(value = "单位")
    @TableField("vunit")
    private String vunit;

    @ApiModelProperty(value = "偏移值")
    @TableField("faddvalue")
    private BigDecimal faddvalue;

    @ApiModelProperty(value = "0:仓内；1：仓外")
    @TableField("inoutstorage")
    private Integer inoutstorage;

    @ApiModelProperty(value = "站点编码")
    @TableField("sitecode")
    private String sitecode;

    @ApiModelProperty(value = "仓房编码")
    @TableField("vcfcode")
    private String vcfcode;

    @ApiModelProperty(value = "通道号")
    @TableField("idevtdh")
    private Integer idevtdh;

    @ApiModelProperty(value = "通道值 检测结果")
    @TableField("fvalue")
    private BigDecimal fvalue;

    @ApiModelProperty(value = "检测结果获取时间")
    @TableField("vvaluetime")
    private Date vvaluetime;

    @ApiModelProperty(value = "设备状态 0:正常；1：异常")
    @TableField("valarmstatue")
    private Integer valarmstatue;

    @ApiModelProperty(value = "操作状态 0关闭，1打开，2反正，3停止")
    @TableField("vstatue")
    private Integer vstatue;

    @ApiModelProperty(value = "更新时间")
    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    @TableField("del_flag")
    private Integer delFlag;


}
