package com.chinaitop.depot.intelligent.basicData.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2024-05-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_testdata_cloud")
@ApiModel(value="TTestdataCloud对象", description="")
public class TTestdataCloud implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("id")
    private String id;

    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "仓房国标编码")
    @TableField("storehouse")
    private String storehouse;

    @ApiModelProperty(value = "仓厫编码")
    @TableField("house")
    private String house;

    @ApiModelProperty(value = "采集时间")
    @TableField("t_time")
    private Date tTime;

    @ApiModelProperty(value = "仓内温 单位：摄氏度，精确到小数点后1位；")
    @TableField("inTemp")
    private BigDecimal intemp;

    @ApiModelProperty(value = "仓内湿 单位：%，精确到小数点后1位；")
    @TableField("inH")
    private BigDecimal inh;

    @ApiModelProperty(value = "仓外温 单位：摄氏度，精确到小数点后1位；")
    @TableField("outTemp")
    private BigDecimal outtemp;

    @ApiModelProperty(value = "仓外湿 单位：%，精确到小数点后1位；")
    @TableField("outH")
    private BigDecimal outh;

    @ApiModelProperty(value = "最高粮温")
    @TableField("t_max")
    private BigDecimal tMax;

    @ApiModelProperty(value = "最低粮温")
    @TableField("t_min")
    private BigDecimal tMin;

    @ApiModelProperty(value = "平均粮温")
    @TableField("t_avg")
    private BigDecimal tAvg;

    @ApiModelProperty(value = "数据来源")
    @TableField("data_source")
    private String dataSource;

    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "0：粮情；1：油情；2：水分")
    @TableField("iLq_yq")
    private String ilqYq;

    @ApiModelProperty(value = "temp:温度值 单位：摄氏度；坏点值以250表示；精确到小数点后1位;测温点在仓内的X坐标代表长度 代表列;测温点在仓内的Y坐标宽度方向 代表行;测温点在仓内的Z坐标高度")
    @TableField("t_points")
    private String tPoints;


}
