package com.chinaitop.depot.intelligent.basicData.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 通风设备配置
 * </p>
 *
 * @author root
 * @since 2024-05-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_ventilatio_info")
@ApiModel(value="TVentilatioInfo对象", description="通风设备配置")
public class TVentilatioInfo implements Serializable  {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "32位字符串主键")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "机构编码(库区编码)")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "库区名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "仓房编码")
    @TableField("vcfcode")
    private String vcfcode;

    @ApiModelProperty(value = "仓房名称")
    @TableField("vcf_name")
    private String vcfName;

    @ApiModelProperty(value = "设备编码")
    @TableField("vdevcode")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    @TableField("vdevname")
    private String vdevname;

    @ApiModelProperty(value = "设备厂商")
    @TableField("vdev_factory")
    private String vdevFactory;

    @ApiModelProperty(value = "通道号")
    @TableField("idevtdh")
    private Integer idevtdh;

    @ApiModelProperty(value = "设备位置(0:仓内,1:仓外)")
    @TableField("inoutstorage")
    private Integer inoutstorage;

    @ApiModelProperty(value = "IP地址")
    @TableField("dev_ip")
    private String devIp;

    @ApiModelProperty(value = "端口")
    @TableField("dev_port")
    private Integer devPort;

    @ApiModelProperty(value = "网关")
    @TableField("i_gateway")
    private String iGateway;

    @ApiModelProperty(value = "粮温高于℃开启通风机(温度阀值)")
    @TableField("temp_threshold")
    private BigDecimal tempThreshold;

    @ApiModelProperty(value = "水分>开启通风机(湿度阀值)")
    @TableField("wet_threshold")
    private BigDecimal wetThreshold;


}
