package com.chinaitop.depot.intelligent.basicData.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 用户信息表
 * </p>
 *
 * @author root
 * @since 2024-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("user_info")
@ApiModel(value="UserInfo对象", description="用户信息表")
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户编号")
    @TableId(value = "user_id", type = IdType.AUTO)
    private Integer userId;

    @ApiModelProperty(value = "用户名")
    @TableField("username")
    private String username;

    @ApiModelProperty(value = "密码")
    @TableField("password")
    private String password;

    @ApiModelProperty(value = "组织编号；org_info的ID；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "真实姓名")
    @TableField("real_name")
    private String realName;

    @ApiModelProperty(value = "性别")
    @TableField("sex")
    private Integer sex;

    @ApiModelProperty(value = "固定电话")
    @TableField("telphone")
    private String telphone;

    @ApiModelProperty(value = "手机号")
    @TableField("mobile")
    private String mobile;

    @ApiModelProperty(value = "地址")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "电子邮箱")
    @TableField("email")
    private String email;

    @ApiModelProperty(value = "QQ号码")
    @TableField("qq_number")
    private String qqNumber;

    @ApiModelProperty(value = "照片路径")
    @TableField("img_url")
    private String imgUrl;

    @ApiModelProperty(value = "电子签名")
    @TableField("signature")
    private String signature;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "录入员")
    @TableField("create_user_id")
    private Integer createUserId;

    @ApiModelProperty(value = "最后修改时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty(value = "最后修改人")
    @TableField("update_user_id")
    private Integer updateUserId;

    @ApiModelProperty(value = "状态")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "删除标记")
    @TableField("del_flag")
    private Integer delFlag;

    @ApiModelProperty(value = "用户别名")
    @TableField("user_alias")
    private String userAlias;

    @ApiModelProperty(value = "更新时间")
    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "部门名称")
    @TableField("bmmc")
    private String bmmc;

    @ApiModelProperty(value = "在岗状态")
    @TableField("zgzt")
    private String zgzt;

    @ApiModelProperty(value = "离职日期")
    @TableField("lzrq")
    private Date lzrq;

    @ApiModelProperty(value = "名族")
    @TableField("mz")
    private Integer mz;

    @ApiModelProperty(value = "人员类别")
    @TableField("rylb")
    private Integer rylb;

    @ApiModelProperty(value = "身份证号码")
    @TableField("sfzhm")
    private String sfzhm;

    @ApiModelProperty(value = "政治面貌")
    @TableField("zzmm")
    private Integer zzmm;

    @ApiModelProperty(value = "职称")
    @TableField("zc")
    private String zc;

    @ApiModelProperty(value = "职务")
    @TableField("zw")
    private String zw;

    @ApiModelProperty(value = "学历")
    @TableField("xl")
    private Integer xl;

    @ApiModelProperty(value = "入职日期")
    @TableField("rzrq")
    private Date rzrq;

    @ApiModelProperty(value = "岗位性质")
    @TableField("gwxz")
    private String gwxz;

    @ApiModelProperty(value = "最高职称或职业资格时间")
    @TableField("qdzgzchzyzgsj")
    private Date qdzgzchzyzgsj;

    @ApiModelProperty(value = "专业")
    @TableField("zy")
    private String zy;


}
