package com.chinaitop.depot.intelligent.basicData.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 虫害设备配置
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
public class TCcinfoParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "测虫设备数据id 32位")
    private String id;

    @ApiModelProperty(value = "机构编码")
    private String orgId;

    @ApiModelProperty(value = "站点编号")
    @NotBlank(message = "站点编号不能为空")
    private String sitecode;

    @ApiModelProperty(value = "设备编码")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    @NotBlank(message = "设备名称不能为空")
    private String vdevname;

    @ApiModelProperty(value = "起始通道")
    private Integer startchannel;

    @ApiModelProperty(value = "结束通道")
    private Integer endtchannel;

    @ApiModelProperty(value = "仓房编码")
    @NotBlank(message = "仓房名称不能为空")
    private String vcfcode;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    private Integer delFlag;

    @ApiModelProperty(value = "更新时间")
    private Date updatetime;


}
