package com.chinaitop.depot.intelligent.basicData.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 熏蒸作业
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
public class TFumigationTaskParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "32位主键id")
    private String id;

    @ApiModelProperty(value = "熏蒸作业库区编码")
    private String orgId;

    @ApiModelProperty(value = "熏蒸作业库区名称")
    @NotBlank(message = "熏蒸作业库区名称不能为空")
    private String orgName;

    @ApiModelProperty(value = "熏蒸作业单号")
    // @NotBlank(message = "熏蒸作业单号不能为空")
    private String orderNumber;

    @ApiModelProperty(value = "熏蒸开始时间")
    @NotNull(message = "熏蒸开始时间不能为空")
    private Date startTime;

    @ApiModelProperty(value = "熏蒸结束时间")
    @NotNull(message = "熏蒸结束时间不能为空")
    private Date endTime;

    @ApiModelProperty(value = "第几次熏蒸")
    @NotNull(message = "第几次熏蒸不能为空")
    private Integer nNumber;

    @ApiModelProperty(value = "仓房编码")
    private String storehouseCode;

    @ApiModelProperty(value = "仓房名称")
    @NotNull(message = "仓房名称不能为空")
    private String storehouseName;

    @ApiModelProperty(value = "气密性检测时间")
    private Date qmxsj;

    @ApiModelProperty(value = "检测方式")
    private String jcfs;

    @ApiModelProperty(value = "检测结果")
    private String jcjg;

    @ApiModelProperty(value = "是否达标")
//    @Max(4)
    private String sfdb;

    @ApiModelProperty(value = "检测人员")
    private String jcry;

    @ApiModelProperty(value = "害虫检测单号")
    private String chjcdh;

    @ApiModelProperty(value = "发生部位")
    private String fsbw;

    @ApiModelProperty(value = "虫口密度")
    private String ckmd;

    @ApiModelProperty(value = "主要害虫虫种")
    private String zyhccz;

    @ApiModelProperty(value = "害虫抗药性分析")
    private String hckyxfx;

    @ApiModelProperty(value = "常规熏蒸方式")
    private String cgxzfs;

    @ApiModelProperty(value = "环流熏蒸方式")
    private String hlxzfs;

    @ApiModelProperty(value = "环流熏蒸与内环流技术结合")
    private String hlxzynhljsjh;

    @ApiModelProperty(value = "熏蒸方案制定")
    private String xzfazd;

    @ApiModelProperty(value = "熏蒸方案起草人")
    private String xzfaqcr;

    @ApiModelProperty(value = "熏蒸方案批准人")
    private String xzfapzr;

    @ApiModelProperty(value = "熏蒸方案报备情况")
    private String xzfabbqk;

    @ApiModelProperty(value = "施药人员资质情况")
    private String syryzzqk;

    @ApiModelProperty(value = "施药资质审核")
    private String syzzsh;

    @ApiModelProperty(value = "药剂名称")
    private String drugName;

    @ApiModelProperty(value = "剂型")
    private String jx;

    @ApiModelProperty(value = "浓度")
    private String nd;

    @ApiModelProperty(value = "粮堆单位用药量")
    private String dldwyyl;

    @ApiModelProperty(value = "空间单位用药量")
    private String kjdwyyl;

    @ApiModelProperty(value = "总用药量")
    private String zyl;

    @ApiModelProperty(value = "施药方法")
    private String syff;

    @ApiModelProperty(value = "空气呼吸器及安全检查情况")
    private String kqhxqjaqjcqk;

    @ApiModelProperty(value = "磷化氢检测装置调试情况")
    private String lhqjczztsqk;

    @ApiModelProperty(value = "氧气深度检测装置调试情况")
    private String yqsdjczztsqk;

    @ApiModelProperty(value = "磷化氢报警仪安全检查")
    private String lhqbjyaqjc;

    @ApiModelProperty(value = "氧气报警仪安全检查")
    private String yqbjyaqjc;

    @ApiModelProperty(value = "周边作业警示设施情况是否正常")
    private String zbzyjsssqksfzc;

    @ApiModelProperty(value = "散气前磷化氢浓度")
    private String sqqlhqnd;

    @ApiModelProperty(value = "散气日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sqrq;

    @ApiModelProperty(value = "散气方法")
    private String sqfa;

    @ApiModelProperty(value = "散气持续天数")
    private Integer sqcxts;

    @ApiModelProperty(value = "散气结束时磷化氢浓度")
    private Integer sqjsslhqnd;

    @ApiModelProperty(value = "散气批准人")
    private String sqpzr;

    @ApiModelProperty(value = "残渣收集作业时间")
    private Date czsjzysj;

    @ApiModelProperty(value = "残渣收集作业人数")
    private Integer czsjzyrs;

    @ApiModelProperty(value = "残渣收集方法")
    private String czsjff;

    @ApiModelProperty(value = "残渣处理措施")
    private String czclcs;

    @ApiModelProperty(value = "残渣处理作业人数")
    private Integer czclzyrs;

    @ApiModelProperty(value = "残渣处理批准人")
    private String czclpzr;

    @ApiModelProperty(value = "熏蒸后虫口密度")
    private Integer xzhckmd;

    @ApiModelProperty(value = "培养15天后活虫数")
    private Integer py15Thhcs;

    @ApiModelProperty(value = "培养45天后活虫数")
    private Integer py45Thhcs;

    @ApiModelProperty(value = "熏蒸效果评价")
    private String xzxgpj;

    @ApiModelProperty(value = "熏蒸负责人")
    private String xzfzr;

    @ApiModelProperty(value = "熏蒸作业人员")
    private String xzzyrr;

    @ApiModelProperty(value = "补药前仓内磷化氢浓度")
    private String byqcnlhqnd;

    @ApiModelProperty(value = "磷化氢浓度单位")
    private String lhqnddw;

    @ApiModelProperty(value = "目标浓度")
    @NotBlank(message = "目标浓度不能为空")
    private String mbnd;

    @ApiModelProperty(value = "计算补药量")
    private String jsbyl;

    @ApiModelProperty(value = "实际补药量")
    private String sjbyl;

    @ApiModelProperty(value = "补药方法")
    private String byfa;

    @ApiModelProperty(value = "作业人数")
    private Integer zyrs;

    @ApiModelProperty(value = "补药作业批准人")
    private String byzypzr;

    @ApiModelProperty(value = "现场指挥人")
    private String xczhr;

    @ApiModelProperty(value = "峰值浓度")
    private String fznd;

    @ApiModelProperty(value = "目标浓度维持天数")
    private Integer mbndwcts;

    @ApiModelProperty(value = "漏气位置监测")
    private String lqwzjc;

    @ApiModelProperty(value = "漏气部位采取的补救措施")
    private String lqbwcqdbjcs;

    @ApiModelProperty(value = "密闭时间")
    private Integer mbsj;

    @ApiModelProperty(value = "CT值")
    private String ctValue;

    @ApiModelProperty(value = "辅助施药措施")
    private String fzsycs;
}
