package com.chinaitop.depot.intelligent.basicData.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 气调设备配置
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
public class TNtinfoParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "气调信息id 32位")
    private String id;

    @ApiModelProperty(value = "机构编码")
    private String orgId;

    @ApiModelProperty(value = "设备编码")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    @NotBlank(message = "设备名称不能为空")
    private String vdevname;

    @ApiModelProperty(value = "通道号")
    private Integer idevtdh;

    @ApiModelProperty(value = "站点编码")
    @NotBlank(message = "站点编号不能为空")
    private String sitecode;

    @ApiModelProperty(value = "仓房编码")
    @NotBlank(message = "仓房名称不能为空")
    private String vcfcode;

    @ApiModelProperty(value = "电磁阀1")
    private Integer value1;

    @ApiModelProperty(value = "电磁阀2")
    private Integer value2;

    @ApiModelProperty(value = "电磁阀3")
    private Integer value3;

    @ApiModelProperty(value = "氮气浓度1")
    private BigDecimal n2value1;

    @ApiModelProperty(value = "氮气浓度2")
    private BigDecimal n2value2;

    @ApiModelProperty(value = "氮气浓度3")
    private BigDecimal n2value3;

    @ApiModelProperty(value = "氮气浓度4")
    private BigDecimal n2value4;

    @ApiModelProperty(value = "氮气浓度5")
    private BigDecimal n2value5;

    @ApiModelProperty(value = "设备状态 0:正常；1：异常")
    private Integer valarmstatue;

    @ApiModelProperty(value = "风机状态 0关闭，1打开，2反正，3停止")
    private Integer vstatue;

    @ApiModelProperty(value = "更新时间")
    private Date updatetime;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    private Integer delFlag;


}
