package com.chinaitop.depot.intelligent.basicData.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 气体液位设备设置
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
public class TQtdevinfoParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "气体液位数据id 32位")
    private String id;

    @ApiModelProperty(value = "机构编码")
    private String orgId;

    @ApiModelProperty(value = "设备编码")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    private String vdevname;

    @ApiModelProperty(value = "设备类型编码")
    private Integer vdevkindcode;

    @ApiModelProperty(value = "单位")
    private String vunit;

    @ApiModelProperty(value = "偏移值")
    private BigDecimal faddvalue;

    @ApiModelProperty(value = "0:仓内；1：仓外")
    private Integer inoutstorage;

    @ApiModelProperty(value = "站点编码")
    private String sitecode;

    @ApiModelProperty(value = "仓房编码")
    private String vcfcode;

    @ApiModelProperty(value = "通道号")
    private Integer idevtdh;

    @ApiModelProperty(value = "通道值 检测结果")
    private BigDecimal fvalue;

    @ApiModelProperty(value = "检测结果获取时间")
    private Date vvaluetime;

    @ApiModelProperty(value = "设备状态 0:正常；1：异常")
    private Integer valarmstatue;

    @ApiModelProperty(value = "操作状态 0关闭，1打开，2反正，3停止")
    private Integer vstatue;

    @ApiModelProperty(value = "更新时间")
    private Date updatetime;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    private Integer delFlag;


}
