package com.chinaitop.depot.intelligent.basicData.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 通信设置
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
public class TStationParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "32位唯一 站点数据")
    private String id;

    @ApiModelProperty(value = "机构编码")
    private String orgId;

    @ApiModelProperty(value = "站点名")
    @NotBlank(message = "站点名称不能为空")
    private String sitename;

    @ApiModelProperty(value = "站点编号")
    private String sitecode;

    @ApiModelProperty(value = "分机地址")
    private String address;

    @ApiModelProperty(value = "品牌")
    private String brand;

    @ApiModelProperty(value = "型号")
    private String model;

    @ApiModelProperty(value = "通讯类型 网络通讯、串口通讯、OPC通讯")
    private String signaltype;

    @ApiModelProperty(value = "服务地址")
    private String serviceip;

    @ApiModelProperty(value = "端口号")
    private Integer serviceport;

    @ApiModelProperty(value = "串口号")
    private Integer stringslogan;

    @ApiModelProperty(value = "波特率")
    private String porterrate;

    @ApiModelProperty(value = "数据位")
    private String databit;

    @ApiModelProperty(value = "校验位")
    private String checkbit;

    @ApiModelProperty(value = "本地/远程 0:本地；1：远程")
    private Integer islocal;

    @ApiModelProperty(value = "是否在线 0:离线；1：在线")
    private Integer isline;

    @ApiModelProperty(value = "更新时间")
    private Date updatetime;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "仓房编码")
    private String vCfCode;

    @ApiModelProperty(value = "站点类型")
    private String vZdType;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    private Integer delFlag;


}
