package com.chinaitop.depot.intelligent.basicData.param;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 通风设备配置
 * </p>
 *
 * @author root
 * @since 2024-05-09
 */
@Data
public class TVentilatioInfoParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "32位字符串主键")
    private String id;

    @ApiModelProperty(value = "机构编码(库区编码)")
    private String orgId;

    @ApiModelProperty(value = "库区名称")
    @NotBlank(message = "库区名称不能为空")
    private String orgName;

    @ApiModelProperty(value = "仓房编码")
    private String vcfcode;

    @ApiModelProperty(value = "仓房名称")
    @NotBlank(message = "仓房名称不能为空")
    private String vcfName;

    @ApiModelProperty(value = "设备编码")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    @NotBlank(message = "设备名称不能为空")
    private String vdevname;

    @ApiModelProperty(value = "设备厂商")
    private String vdevFactory;

    @ApiModelProperty(value = "通道号")
    private Integer idevtdh;

    @ApiModelProperty(value = "设备位置(0:仓内,1:仓外)")
    @NotNull(message = "设备位置不能为空")
    private Integer inoutstorage;

    @ApiModelProperty(value = "IP地址")
    private String devIp;

    @ApiModelProperty(value = "端口")
    @TableField("dev_port")
    private Integer devPort;

    @ApiModelProperty(value = "网关")
    private String iGateway;

    @ApiModelProperty(value = "粮温高于℃开启通风机(温度阀值)")
    private BigDecimal tempThreshold;

    @ApiModelProperty(value = "水分>开启通风机(湿度阀值)")
    private BigDecimal wetThreshold;



}
