package com.chinaitop.depot.intelligent.basicData.param;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 通风作业管理
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Data
public class TVentilationOperationParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键32位id")
    private String id;

    @ApiModelProperty(value = "机构编码")
    private Integer orgId;

    @ApiModelProperty(value = "机构编码")
    private String orgName;

    @ApiModelProperty(value = "通风作业单号")
    private String tfzydh;

    @ApiModelProperty(value = "通风日期")
    private Date tfrq;

    @ApiModelProperty(value = "仓房编号")
    private String cfbh;

    @ApiModelProperty(value = "仓房名称")
    private String cfmc;

    @ApiModelProperty(value = "通风目的")
    private String tfmd;

    @ApiModelProperty(value = "孔隙度")
    private String kxd;

    @ApiModelProperty(value = "通风类型")
    private String tflx;

    @ApiModelProperty(value = "风道型式")
    private String fdxs;

    @ApiModelProperty(value = "仓房类型")
    private String cflx;

    @ApiModelProperty(value = "仓内长度")
    private String cncd;

    @ApiModelProperty(value = "仓内宽度")
    private String cnkd;

    @ApiModelProperty(value = "直径(内径)")
    private String zjnj;

    @ApiModelProperty(value = "设计存粮线高度")
    private String sjclxgd;

    @ApiModelProperty(value = "品种")
    private Integer pz;

    @ApiModelProperty(value = "数量")
    private String sl;

    @ApiModelProperty(value = "长度")
    private String cd;

    @ApiModelProperty(value = "宽度")
    private String kd;

    @ApiModelProperty(value = "直径")
    private String zj;

    @ApiModelProperty(value = "粮堆高度")
    private String ldgd;

    @ApiModelProperty(value = "堆粮形式")
    private String dlxs;

    @ApiModelProperty(value = "风网类型")
    private String fwlx;

    @ApiModelProperty(value = "风网设置方式")
    private String fwszfs;

    @ApiModelProperty(value = "主风道截面积")
    private String zfdjmj;

    @ApiModelProperty(value = "风网开孔率")
    private String fwkkl;

    @ApiModelProperty(value = "空气途径比")
    private String kqtjb;

    @ApiModelProperty(value = "通风口设置个数")
    private String tfkszgs;

    @ApiModelProperty(value = "通风开始时间")
    private Date tfkssj;

    @ApiModelProperty(value = "通风结束时间")
    private Date tfjssj;

    @ApiModelProperty(value = "通风作业负责人")
    private String tfzyfzr;

    @ApiModelProperty(value = "登记日期")
    private Date djrq;

    @ApiModelProperty(value = "通风机型号")
    private String tfjxh;

    @ApiModelProperty(value = "通风机台数")
    private String tfjts;

    @ApiModelProperty(value = "单台风机额定全压")
    private String dtfjedqy;

    @ApiModelProperty(value = "单台风机额定风量")
    private String dtfjedfl;

    @ApiModelProperty(value = "单台风机额定功率")
    private String dtfjedgl;

    @ApiModelProperty(value = "送风方式")
    private String sffs;

    @ApiModelProperty(value = "单台风机实测风量")
    private String dtfjscfl;

    @ApiModelProperty(value = "单台风机轴功率")
    private String dtfjzgl;

    @ApiModelProperty(value = "总风量")
    private String zfl;

    @ApiModelProperty(value = "单位通风量")
    private String dwtfl;

    @ApiModelProperty(value = "实测系统阻力")
    private String scxtzl;

    @ApiModelProperty(value = "总耗电量")
    private String zhdl;

    @ApiModelProperty(value = "作业时气温")
    private String workTemp;

    @ApiModelProperty(value = "作业时气湿")
    private String workWet;

    @ApiModelProperty(value = "通风时长")
    private String workTime;

    @ApiModelProperty(value = "作业前平均粮温")
    private String tfqpjlw;

    @ApiModelProperty(value = "结束后平均粮温")
    private String tfhpjlw;

    @ApiModelProperty(value = "降温幅度")
    private String jwfd;

    @ApiModelProperty(value = "失水率")
    private String sslssl;

    @ApiModelProperty(value = "保水效果评价结果")
    private String bsxgpjjg;

    @ApiModelProperty(value = "吨粮降温能耗")
    private String dljwnh;

    @ApiModelProperty(value = "作业前平均水分")
    private String tfqpjsf;

    @ApiModelProperty(value = "结束后平均水分")
    private String tfhpjsf;

    @ApiModelProperty(value = "降水幅度")
    private String jsfd;

    @ApiModelProperty(value = "吨粮降水能耗")
    private String dljsnh;

    @ApiModelProperty(value = "通风降温均匀性评价_整仓")
    private String jyxzx;

    @ApiModelProperty(value = "通风降温均匀性评价_上层")
    private String jyxsc;

    @ApiModelProperty(value = "通风降温均匀性评价_中（间）层")
    private String jyxzc;

    @ApiModelProperty(value = "通风降温均匀性评价_下层")
    private String jyxxc;

    @ApiModelProperty(value = "通风前仓内温")
    private String tfqcnw;

    @ApiModelProperty(value = "通风前仓内湿")
    private String tfqcns;

    @ApiModelProperty(value = "通风前仓外温")
    private String tfqcww;

    @ApiModelProperty(value = "通风前仓外湿")
    private String tfqcws;

    @ApiModelProperty(value = "通风前最高粮温")
    private String tfqzglw;

    @ApiModelProperty(value = "通风前最低粮温")
    private String tfqzdlw;

    @ApiModelProperty(value = "通风后仓内温")
    private String tfhcnw;

    @ApiModelProperty(value = "通风后仓内湿")
    private String tfhcns;

    @ApiModelProperty(value = "通风后仓外温")
    private String tfhcww;

    @ApiModelProperty(value = "通风后仓外湿")
    private String tfhcws;

    @ApiModelProperty(value = "通风后最高粮温")
    private String tfhzglw;

    @ApiModelProperty(value = "通风后最低粮温")
    private String tfhzdlw;

    @ApiModelProperty(value = "通风前氧气")
    private String tfqyq;

    @ApiModelProperty(value = "通风前二氧化碳")
    private String tfqeyht;

    @ApiModelProperty(value = "通风前磷化氢")
    private String tfqlhq;

    @ApiModelProperty(value = "通风后氧气")
    private String tfhyq;

    @ApiModelProperty(value = "通风后二氧化碳")
    private String tfheyht;

    @ApiModelProperty(value = "通风后磷化氢")
    private String tfhlhq;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "支风道截面积")
    private BigDecimal zfdjmjZhi;

    @ApiModelProperty(value = "支风道总长度")
    private BigDecimal zfdzcd;

    @ApiModelProperty(value = "通风降水均匀性分析 整仓")
    private String tfjjsjyxfxzc;

    @ApiModelProperty(value = "通风降水均匀性分析 上层")
    private String tfjsjyxfxsc;

    @ApiModelProperty(value = "风降水均匀性分析 中(间)层")
    private String tfjsjyxfxzc;

    @ApiModelProperty(value = "通风降水均匀性分析 下层")
    private String tfjsjyxfxxc;

    @ApiModelProperty(value = "通风作业人员")
    private String tfzyry;

}
