package com.chinaitop.depot.intelligent.basicData.service;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.basicData.model.TFumigationRecord;
import com.chinaitop.depot.intelligent.basicData.param.TFumigationRecordPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TFumigationRecordParam;
import com.chinaitop.depot.intelligent.basicData.vo.TFumigationRecordAndAuditTimeVO;
import com.chinaitop.depot.intelligent.basicData.vo.TFumigationRecordVO;

import java.util.List;

/**
 * <p>
 * 熏蒸备案 服务类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface TFumigationRecordService extends IService<TFumigationRecord> {
    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 查询 熏蒸备案 信息列表
     */
    List<TFumigationRecordAndAuditTimeVO> getList(TFumigationRecordPageParam pageParam);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 熏蒸备案新增
     */
    int saveData(TFumigationRecordParam recordParam);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 熏蒸备案修改
     */
    int updateData(TFumigationRecordParam recordParam);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 熏蒸备案删除
     */
    int deleteData(String id);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 带出熏蒸作业库区数据详情
     */
    TFumigationRecordVO getInfo(String orgId);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 带出仓房和粮情数据
     */
    JSONObject getStorehouseAndLqInfo(String orgId, String storehouseCode, Integer warehouseId);
}
