package com.chinaitop.depot.intelligent.basicData.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.mapper.TKtinfoMapper;
import com.chinaitop.depot.intelligent.basicData.model.TKtinfo;
import com.chinaitop.depot.intelligent.basicData.param.TKtinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TKtinfoParam;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.service.TKtinfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.utils.UuidUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 * 控温设备配置(空调) 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Service
public class TKtinfoServiceImpl extends ServiceImpl<TKtinfoMapper, TKtinfo> implements TKtinfoService {

    @Autowired
    private TKtinfoMapper tKtinfoMapper;

    @Override
    public Page<TKtinfo> getList(TKtinfoPageParam pageParam) {
        Page<TKtinfo> page = new Page<>(pageParam.getPageNum(), pageParam.getPageSize());
        LambdaQueryWrapper<TKtinfo> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(TKtinfo::getOrgId,pageParam.getOrgId());
        if (StringUtils.isNotEmpty(pageParam.getVcfname())) {
            wrapper.eq(TKtinfo::getVcfname, pageParam.getVcfname());
        }
        return tKtinfoMapper.selectPage(page, wrapper);
    }

    @Override
    public int saveData(TKtinfoParam param) {
        TKtinfo tKtinfo = new TKtinfo();
        BeanUtils.copyProperties(param,tKtinfo);
        tKtinfo.setId(UuidUtils.getCode());
        return tKtinfoMapper.insert(tKtinfo);
    }

    @Override
    public int updateData(TKtinfoParam param) {
        TKtinfo tKtinfo = new TKtinfo();
        BeanUtils.copyProperties(param,tKtinfo);
        tKtinfo.setUpdatetime(new Date());
        return tKtinfoMapper.updateById(tKtinfo);
    }

    @Override
    public int deleteData(String id) {
        return tKtinfoMapper.deleteById(id);
    }
}
