package com.chinaitop.depot.intelligent.basicData.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TStation;
import com.chinaitop.depot.intelligent.basicData.mapper.TStationMapper;
import com.chinaitop.depot.intelligent.basicData.param.TStationPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TStationParam;
import com.chinaitop.depot.intelligent.basicData.service.TStationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.utils.UuidUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 * 通信设置 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Service
public class TStationServiceImpl extends ServiceImpl<TStationMapper, TStation> implements TStationService {


    @Autowired
    private TStationMapper tStationMapper;

    @Override
    public Page<TStation> getList(TStationPageParam pageParam) {
        Page<TStation> page = new Page<>(pageParam.getPageNum(), pageParam.getPageSize());
        LambdaQueryWrapper<TStation> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(TStation::getOrgId,pageParam.getOrgId());
        if (StringUtils.isNotEmpty(pageParam.getSitename())){
            wrapper.like(TStation::getSitename,pageParam.getSitename());
        }
        return tStationMapper.selectPage(page,wrapper);
    }

    @Override
    public int saveData(TStationParam param) {
        TStation tStation = new TStation();
        BeanUtils.copyProperties(param,tStation);
        tStation.setId(UuidUtils.getCode());
        tStation.setUpdatetime(new Date());
        return tStationMapper.insert(tStation);
    }

    @Override
    public int updateData(TStationParam param) {
        TStation tStation = new TStation();
        BeanUtils.copyProperties(param,tStation);
        return tStationMapper.updateById(tStation);
    }

    @Override
    public int deleteData(String id) {
        return tStationMapper.deleteById(id);
    }
}
