package com.chinaitop.depot.intelligent.basicData.service.impl;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.basicData.mapper.WarehouseDataAnalysisMapper;
import com.chinaitop.depot.intelligent.basicData.param.WarehouseDataAnalysis;
import com.chinaitop.depot.intelligent.basicData.param.WarehouseDataAnalysisChart;
import com.chinaitop.depot.intelligent.basicData.param.WarehouseDataAnalysisPageParam;
import com.chinaitop.depot.intelligent.basicData.service.WarehouseDataAnalysisService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-07-16 15:50
 */
@Service
public class WarehouseDataAnalysisServiceImpl extends ServiceImpl<WarehouseDataAnalysisMapper, WarehouseDataAnalysis> implements WarehouseDataAnalysisService {
    @Resource
    private WarehouseDataAnalysisMapper warehouseDataAnalysisMapper;

    @Override
    public Page<WarehouseDataAnalysis> getPageList(WarehouseDataAnalysisPageParam param) {
        Map<String, Object> map = new HashMap<>();
        map.put("orgId", param.getOrgId());
        if (StringUtils.isNotBlank(param.getWarnType())) {
            map.put("warnType", param.getWarnType());
        }
        return warehouseDataAnalysisMapper.getPageList(new Page<>(param.getCurrent(), param.getSize()), map);
    }

    @Override
    public List<WarehouseDataAnalysisChart> getChartList(Integer orgId) {
        return warehouseDataAnalysisMapper.getChartList(orgId);
    }
}
