package com.chinaitop.depot.intelligent.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author qingsong.han
 * @description: 分页基础类,可被继承
 * @create 2024-05-09 14:54
 */
@Data
public class PageParam implements Serializable {
    private static final long serialVersionUID = 1756985404049965037L;
    /** 当前页 */
    @ApiModelProperty(value = "当前页码", required = true)
    @Min(message = "当前页必须>=1", value = 1)
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数", required = true)
    @Min(message = "每页条数必须>=1", value = 1)
    private Integer size;

}
