package com.chinaitop.depot.intelligent.devCRUD.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoAir;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoAirPageParam;
import com.chinaitop.depot.intelligent.devCRUD.service.DemoAirService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 智能气调 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@RestController
@RequestMapping("/demo-air")
@Api(tags = "智能气调")
public class DemoAirController {
    @Resource
    private DemoAirService demoAirService;

    @GetMapping("/getPageList")
    @ApiOperation(value = "分页列表", notes = "支持分页")
    public ResponseEntity<Page<DemoAir>> getPageList(@Validated DemoAirPageParam demoAirPageParam) {
        return ResponseEntity.ok(demoAirService.selectPageList(demoAirPageParam));
    }

    @PostMapping("/save")
    @ApiOperation(value = "新增", notes = "新增")
    public ResponseEntity save(@RequestBody DemoAir demoAir) {
        return ResponseEntity.ok(demoAirService.saveData(demoAir));
    }

    @PutMapping("/update")
    @ApiOperation(value = "修改", notes = "修改")
    public ResponseEntity update(@RequestBody DemoAir demoAir) {
        return ResponseEntity.ok(demoAirService.updateData(demoAir));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(demoAirService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "详情", notes = "id获取详情")
    public ResponseEntity<DemoAir> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(demoAirService.getById(id));
    }

}
