package com.chinaitop.depot.intelligent.devCRUD.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoFumigation;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoFumigationPageParam;
import com.chinaitop.depot.intelligent.devCRUD.service.DemoFumigationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 环流熏蒸 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@RestController
@RequestMapping("/demo-fumigation")
@Api(tags = "环流熏蒸")
public class DemoFumigationController {
    @Resource
    private DemoFumigationService demoFumigationService;

    @GetMapping("/getPageList")
    @ApiOperation(value = "分页列表", notes = "支持分页")
    public ResponseEntity<Page<DemoFumigation>> getPageList(@Validated DemoFumigationPageParam param) {
        return ResponseEntity.ok(demoFumigationService.selectPageList(param));
    }

    @PostMapping("/save")
    @ApiOperation(value = "新增", notes = "新增")
    public ResponseEntity save(@RequestBody DemoFumigation demoFumigation) {
        return ResponseEntity.ok(demoFumigationService.saveData(demoFumigation));
    }

    @PutMapping("/update")
    @ApiOperation(value = "修改", notes = "修改")
    public ResponseEntity update(@RequestBody DemoFumigation demoFumigation) {
        return ResponseEntity.ok(demoFumigationService.updateData(demoFumigation));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(demoFumigationService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "详情", notes = "id获取详情")
    public ResponseEntity<DemoFumigation> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(demoFumigationService.getById(id));
    }

}
