package com.chinaitop.depot.intelligent.devCRUD.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoImprove;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoImprovePageParam;
import com.chinaitop.depot.intelligent.devCRUD.service.DemoImproveService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 智能通风 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@RestController
@RequestMapping("/demo-improve")
@Api(tags = "智能通风")
public class DemoImproveController {
    @Resource
    private DemoImproveService demoImproveService;

    @GetMapping("/getPageList")
    @ApiOperation(value = "分页列表", notes = "支持分页")
    public ResponseEntity<Page<DemoImprove>> getPageList(@Validated DemoImprovePageParam param) {
        return ResponseEntity.ok(demoImproveService.selectPageList(param));
    }

    @PostMapping("/save")
    @ApiOperation(value = "新增", notes = "新增")
    public ResponseEntity save(@RequestBody DemoImprove demoImprove) {
        return ResponseEntity.ok(demoImproveService.saveData(demoImprove));
    }

    @PutMapping("/update")
    @ApiOperation(value = "修改", notes = "修改")
    public ResponseEntity update(@RequestBody DemoImprove demoImprove) {
        return ResponseEntity.ok(demoImproveService.updateData(demoImprove));
    }

    @DeleteMapping("/delete/{id}/{orgId}")
    @ApiOperation(value = "删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id,@PathVariable("orgId") Integer orgId) {
        return ResponseEntity.ok(demoImproveService.deleteData(id,orgId));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "详情", notes = "id获取详情")
    public ResponseEntity<DemoImprove> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(demoImproveService.getById(id));
    }

}
