package com.chinaitop.depot.intelligent.devCRUD.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 智能气调
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("demo_air")
@ApiModel(value="DemoAir对象", description="智能气调")
public class DemoAir implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键32位id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "企业编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "企业名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "仓房编码")
    @TableField("cfbm")
    private String cfbm;

    @ApiModelProperty(value = "仓房名称")
    @TableField("cfmc")
    private String cfmc;

    @ApiModelProperty(value = "设备编码")
    @TableField("sbbm")
    private String sbbm;

    @ApiModelProperty(value = "设备名称")
    @TableField("sbmc")
    private String sbmc;

    @ApiModelProperty(value = "压力值")
    @TableField("ylz")
    private String ylz;

    @ApiModelProperty(value = "氮气浓度")
    @TableField("dqnd")
    private String dqnd;

    @ApiModelProperty(value = "氧气浓度")
    @TableField("yqnd")
    private String yqnd;

    @ApiModelProperty(value = "二氧化碳浓度")
    @TableField("eyhtnd")
    private String eyhtnd;

    @ApiModelProperty(value = "磷化氢浓度")
    @TableField("lhqnd")
    private String lhqnd;

    @ApiModelProperty(value = "检测时间")
    @TableField("jcsj")
    private Date jcsj;


}
