package com.chinaitop.depot.intelligent.devCRUD.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 气体检测
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("demo_gas_monitoring")
@ApiModel(value="DemoGasMonitoring对象", description="气体检测")
public class DemoGasMonitoring implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键32位id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "机构名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "气体浓度检测单号")
    @TableField("qtnddh")
    private String qtnddh;

    @ApiModelProperty(value = "作业类型编码")
    @TableField("zylxbm")
    private String zylxbm;

    @ApiModelProperty(value = "作业类型名称")
    @TableField("zylxmc")
    private String zylxmc;

    @ApiModelProperty(value = "仓房类型编码")
    @TableField("cflxbm")
    private String cflxbm;

    @ApiModelProperty(value = "仓房类型名称")
    @TableField("cflxmc")
    private String cflxmc;

    @ApiModelProperty(value = "仓房编码")
    @TableField("cfbm")
    private String cfbm;

    @ApiModelProperty(value = "仓房名称")
    @TableField("cfmc")
    private String cfmc;

    @ApiModelProperty(value = "货位编码")
    @TableField("hwbm")
    private String hwbm;

    @ApiModelProperty(value = "货位名称")
    @TableField("hwmc")
    private String hwmc;

    @ApiModelProperty(value = "库存数量(kg)")
    @TableField("kcsl")
    private Integer kcsl;

    @ApiModelProperty(value = "粮油品种编码")
    @TableField("lypzbm")
    private String lypzbm;

    @ApiModelProperty(value = "粮油品种名称")
    @TableField("lypzmc")
    private String lypzmc;

    @ApiModelProperty(value = "粮油等级编码")
    @TableField("lydjbm")
    private String lydjbm;

    @ApiModelProperty(value = "粮油等级名称")
    @TableField("lydjmc")
    private String lydjmc;

    @ApiModelProperty(value = "粮油性质编码")
    @TableField("lyxzbm")
    private String lyxzbm;

    @ApiModelProperty(value = "粮油性质名称")
    @TableField("lyxzmc")
    private String lyxzmc;

    @ApiModelProperty(value = "检测时间")
    @TableField("jcsj")
    private Date jcsj;

    @ApiModelProperty(value = "检测人")
    @TableField("jcr")
    private String jcr;

    @ApiModelProperty(value = "检测方式编码")
    @TableField("jcfsbm")
    private String jcfsbm;

    @ApiModelProperty(value = "检测方式名称")
    @TableField("jcfsmc")
    private String jcfsmc;

    @ApiModelProperty(value = "氧气含量(%)")
    @TableField("yqhl")
    private String yqhl;

    @ApiModelProperty(value = "二氧化碳含量(%)")
    @TableField("eyhthl")
    private String eyhthl;

    @ApiModelProperty(value = "磷化氢浓度(mL/m3)")
    @TableField("lhqnd")
    private String lhqnd;

    @ApiModelProperty(value = "硫酰氟浓度(mL/m3)")
    @TableField("lxfnd")
    private String lxfnd;

    @ApiModelProperty(value = "一氧化氮(%)")
    @TableField("yyhd")
    private String yyhd;

    @ApiModelProperty(value = "一氧化碳")
    @TableField("yyht")
    private String yyht;


}
