package com.chinaitop.depot.intelligent.devCRUD.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoImprove;
import com.chinaitop.depot.intelligent.devCRUD.mapper.DemoImproveMapper;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoImprovePageParam;
import com.chinaitop.depot.intelligent.devCRUD.service.DemoImproveService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.utils.UuidUtils;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;

import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestTemplate;

import java.util.Map;

import javax.annotation.Resource;

/**
 * <p>
 * 智能通风 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Service
public class DemoImproveServiceImpl extends ServiceImpl<DemoImproveMapper, DemoImprove> implements DemoImproveService {
    @Resource
    private DemoImproveMapper demoImproveMapper;

    @Resource
    private RestTemplate restTemplate;

    @Value("${jsgjjsjUrl}")
    private String jsgjjsjUrl;

    @Override
    public Page<DemoImprove> selectPageList(DemoImprovePageParam param) {
        QueryWrapper<DemoImprove> wrapper = new QueryWrapper<>();
        wrapper.eq("org_id", param.getOrgId());
        if (StringUtils.isNotEmpty(param.getTfzysbmc()))
            wrapper.like("tfzysbmc", param.getTfzysbmc());
        wrapper.orderByDesc("czsj");
        return demoImproveMapper.selectPage(new Page<>(param.getCurrent(), param.getSize()), wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int saveData(DemoImprove demoImprove) {
        String id = UuidUtils.getCode();
        demoImprove.setId(id);
        int a = demoImproveMapper.insert(demoImprove);
        if (a > 0) {
            this.sxtgjjjk(id, Integer.valueOf(demoImprove.getOrgId()), "i");
        }
        return a;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int updateData(DemoImprove demoImprove) {

        int a = demoImproveMapper.updateById(demoImprove);
        if (a > 0) {
            this.sxtgjjjk(demoImprove.getId(), Integer.valueOf(demoImprove.getOrgId()), "u");
        }
        return a;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int deleteData(String id,Integer orgId) {
        int a = demoImproveMapper.deleteById(id);
        if (a > 0) {
            this.sxtgjjjk(id, orgId, "d");
        }
        return a;

    }


    /**
     * 摄像头国家局数据
     */
    public void sxtgjjjk(String id, Integer orgId, String czbz) {

    	String tableName = "ODS_UP_TFZYXXJK";
		/**
         * restTemplate调用
         */
        //String url = "http://localhost:9022/recPublish/sendMessage";//
        //发送post请求，并打印结果，以String类型接收响应结果JSON字符串
		
        MultiValueMap<String, Object> sendMap = new LinkedMultiValueMap<>();
		sendMap.add("tableName", tableName);
		sendMap.add("czbz", czbz);
		sendMap.add("ywId", id);
		sendMap.add("orgId", orgId);

        restTemplate.postForObject(jsgjjsjUrl, sendMap, String.class);
        
    }


}
