package com.chinaitop.depot.intelligent.devCRUD.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoQuantityMonitoring;
import com.chinaitop.depot.intelligent.devCRUD.mapper.DemoQuantityMonitoringMapper;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoQuantityMonitoringPageParam;
import com.chinaitop.depot.intelligent.devCRUD.service.DemoQuantityMonitoringService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.utils.UuidUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * <p>
 * 粮食数据监测数据 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Service
public class DemoQuantityMonitoringServiceImpl extends ServiceImpl<DemoQuantityMonitoringMapper, DemoQuantityMonitoring> implements DemoQuantityMonitoringService {
    @Resource
    private DemoQuantityMonitoringMapper quantityMonitoringMapper;

    @Override
    public Page<DemoQuantityMonitoring> selectPageList(DemoQuantityMonitoringPageParam param) {
        QueryWrapper<DemoQuantityMonitoring> wrapper = new QueryWrapper<>();
        wrapper.eq("org_id", param.getOrgId());
        if (StringUtils.isNotEmpty(param.getCfbm()))
            wrapper.eq("cfbm", param.getCfbm());
        if (StringUtils.isNotEmpty(param.getStartTime()) && StringUtils.isNotEmpty(param.getEndTime()))
            wrapper.between("jcsj", param.getStartTime(), param.getEndTime());
        wrapper.orderByDesc("jcsj");
        return quantityMonitoringMapper.selectPage(new Page<>(param.getCurrent(), param.getSize()), wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int saveData(DemoQuantityMonitoring quantityMonitoring) {
        quantityMonitoring.setId(UuidUtils.getCode());
        return quantityMonitoringMapper.insert(quantityMonitoring);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int updateData(DemoQuantityMonitoring quantityMonitoring) {
        return quantityMonitoringMapper.updateById(quantityMonitoring);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int deleteData(String id) {
        return quantityMonitoringMapper.deleteById(id);
    }
}
