package com.chinaitop.depot.intelligent.devControl.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.devControl.model.TDevControl;
import com.chinaitop.depot.intelligent.devControl.model.TDevControlPageParam;
import com.chinaitop.depot.intelligent.devControl.service.TDevControlService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;


/**
 * <p>
 * 设备控制 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-09
 */
@RestController
@RequestMapping("/t-dev-control")
@Api(tags = "设备控制")
public class TDevControlController {
    @Resource
    private TDevControlService devControlService;

    @GetMapping("/getPageList")
    @ApiOperation(value = "分页列表", notes = "支持分页")
    public ResponseEntity<Page<TDevControl>> getPageList(@Validated TDevControlPageParam devControl) {
        return ResponseEntity.ok(devControlService.selectPageList(devControl));
    }

    @PostMapping("/save")
    @ApiOperation(value = "新增", notes = "新增")
    public ResponseEntity save(@RequestBody TDevControl devControl) {
        return ResponseEntity.ok(devControlService.saveData(devControl));
    }

    @PutMapping("/update")
    @ApiOperation(value = "修改", notes = "修改")
    public ResponseEntity update(@RequestBody TDevControl devControl) {
        return ResponseEntity.ok(devControlService.updateData(devControl));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(devControlService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "详情", notes = "id获取详情")
    public ResponseEntity<TDevControl> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(devControlService.getById(id));
    }

}
