package com.chinaitop.depot.intelligent.devData.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.List;

import com.chinaitop.depot.intelligent.grainsituation.model.TPoints;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 多功能粮情-主表
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_lq_data")
@ApiModel(value="TLqData对象", description="多功能粮情-主表")
public class TLqData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "32位主键id")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "机构id")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "机构名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "仓房国标编码")
    @TableField("storehouse_code")
    private String storehouseCode;

    @ApiModelProperty(value = "仓房名称")
    @TableField("storehouse_name")
    private String storehouseName;

    @ApiModelProperty(value = "粮食品种名称")
    @TableField("food_variety_name")
    private String foodVarietyName;

    @ApiModelProperty(value = "粮食性质")
    @TableField("food_nature")
    private String foodNature;

    @ApiModelProperty(value = "仓厫编码")
    @TableField("house")
    private String house;

    @ApiModelProperty(value = "库存数量")
    @TableField("kcsl")
    private String kcsl;

    @ApiModelProperty(value = "采集时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("gather_time")
    private Date gatherTime;

    @ApiModelProperty(value = "仓内温 单位：摄氏度，精确到小数点后1位；")
    @TableField("in_temp")
    private BigDecimal inTemp;

    @ApiModelProperty(value = "仓内湿 单位：%，精确到小数点后1位；")
    @TableField("in_h")
    private BigDecimal inH;

    @ApiModelProperty(value = "仓外温 单位：摄氏度，精确到小数点后1位；")
    @TableField("out_temp")
    private BigDecimal outTemp;

    @ApiModelProperty(value = "仓外湿 单位：%，精确到小数点后1位；")
    @TableField("out_h")
    private BigDecimal outH;

    @ApiModelProperty(value = "最高粮温")
    @TableField("temp_max")
    private BigDecimal tempMax;

    @ApiModelProperty(value = "最低粮温")
    @TableField("temp_min")
    private BigDecimal tempMin;

    @ApiModelProperty(value = "平均粮温")
    @TableField("temp_avg")
    private BigDecimal tempAvg;

    @ApiModelProperty(value = "数据来源")
    @TableField("data_source")
    private String dataSource;

    @ApiModelProperty(value = "0：粮情；1：油情；2：水分")
    @TableField("iLq_yq")
    private String ilqYq;

    @ApiModelProperty(value = "temp:温度值 单位：摄氏度；坏点值以250表示；精确到小数点后1位;测温点在仓内的X坐标代表长度 代表列;测温点在仓内的Y坐标宽度方向 代表行;测温点在仓内的Z坐标高度")
    @TableField("temp_points")
    private String tempPoints;

    @ApiModelProperty(value = "国家局格式化数据")
    @TableField("str_points")
    private String strPoints;

    @ApiModelProperty(value = "同上次相比平均粮温 1：相同；2：上升；3：下降")
    @TableField("compare_last_temp_avg")
    private Integer compareLastTempAvg;

    // 接收数据对象
    @TableField(exist = false)
    private List<TPoints> points;


}
