package com.chinaitop.depot.intelligent.financialSupervision.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 合同信息
 * </p>
 *
 * @author root
 * @since 2024-07-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_contract")
@ApiModel(value="BusinessContract对象", description="合同信息")
public class BusinessContract implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "合同编号")
    @TableField("contract_number")
    private String contractNumber;

    @ApiModelProperty(value = "计划id；biz_rp_issuance的ID；")
    @TableField("plan_bid")
    private Integer planBid;

    @ApiModelProperty(value = "合同名称")
    @TableField("contract_title")
    private String contractTitle;

    @ApiModelProperty(value = "合同类型；busbasic_enum的ID；")
    @TableField("contract_type")
    private Integer contractType;

    @ApiModelProperty(value = "合同签订时间，竞拍日期")
    @TableField("signing_time")
    private Date signingTime;

    @ApiModelProperty(value = "签订地点")
    @TableField("qddd")
    private String qddd;

    @ApiModelProperty(value = "合同总金额(元)")
    @TableField("money_quantity")
    private String moneyQuantity;

    @ApiModelProperty(value = "履约保证金")
    @TableField("lybzj")
    private String lybzj;

    @ApiModelProperty(value = "客户id；business_customer的ID；")
    @TableField("customer_bid")
    private Integer customerBid;

    @ApiModelProperty(value = "合同粮食数量(吨)；约定购销粮食数量；")
    @TableField("grain_quantity")
    private BigDecimal grainQuantity;

    @ApiModelProperty(value = "中转方式；busbasic_enum的ID；废弃")
    @TableField("customer_id")
    private String customerId;

    @ApiModelProperty(value = "客户编号；废弃；")
    @TableField("customer_number")
    private String customerNumber;

    @ApiModelProperty(value = "合同客户名称；废弃；")
    @TableField("customer_name")
    private String customerName;

    @ApiModelProperty(value = "合同签订人；废弃；")
    @TableField("signing_man")
    private String signingMan;

    @ApiModelProperty(value = "合同生效日期；废弃；")
    @TableField("enable_date")
    private Date enableDate;

    @ApiModelProperty(value = "履约数量")
    @TableField("performance_quantity")
    private BigDecimal performanceQuantity;

    @ApiModelProperty(value = "履约率")
    @TableField("performance_rate")
    private BigDecimal performanceRate;

    @ApiModelProperty(value = "结算与合同一致性 0：不一致；1：一致；")
    @TableField("settle_contract_uniformity")
    private Integer settleContractUniformity;

    @ApiModelProperty(value = "结算与合同不一致性原因")
    @TableField("settle_contract_uniformity_reason")
    private String settleContractUniformityReason;

    @ApiModelProperty(value = "签约完成时间")
    @TableField("sign_comple_time")
    private Date signCompleTime;

    @ApiModelProperty(value = "采购单位")
    @TableField("purchase_unit")
    private String purchaseUnit;

    @ApiModelProperty(value = "合同截止日期")
    @TableField("disable_date")
    private Date disableDate;

    @ApiModelProperty(value = "原合同编号；废弃；")
    @TableField("original_contract")
    private String originalContract;

    @ApiModelProperty(value = "原合同id")
    @TableField("original_contract_bid")
    private Integer originalContractBid;

    @ApiModelProperty(value = "起始合同id")
    @TableField("root_contract_bid")
    private Integer rootContractBid;

    @ApiModelProperty(value = "运输方式；废弃；")
    @TableField("shipping_type")
    private Integer shippingType;

    @ApiModelProperty(value = "支付方式；废弃；")
    @TableField("contract_pay_type")
    private Integer contractPayType;

    @ApiModelProperty(value = "已完成数量")
    @TableField("finished_quantity")
    private String finishedQuantity;

    @ApiModelProperty(value = "已完成数量金额")
    @TableField("money_of_finished_quantity")
    private String moneyOfFinishedQuantity;

    @ApiModelProperty(value = "合同备注；废弃；")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "客户种粮面积(亩)；废弃；")
    @TableField("plant_acreage")
    private String plantAcreage;

    @ApiModelProperty(value = "计划编号，废弃")
    @TableField("plan_number")
    private String planNumber;

    @ApiModelProperty(value = "客户联系方式；")
    @TableField("mobile")
    private String mobile;

    @ApiModelProperty(value = "开户行名称；")
    @TableField("bank_name")
    private String bankName;

    @ApiModelProperty(value = "银行账户名称；")
    @TableField("account_name")
    private String accountName;

    @ApiModelProperty(value = "开户账号；")
    @TableField("account_number")
    private String accountNumber;

    @ApiModelProperty(value = "违约责任；")
    @TableField("breach_liability")
    private String breachLiability;

    @ApiModelProperty(value = "解除条件；")
    @TableField("dissolution_conditions")
    private String dissolutionConditions;

    @ApiModelProperty(value = "客户-证件号")
    @TableField("identification")
    private String identification;

    @ApiModelProperty(value = "客户签约人")
    @TableField("khqyr")
    private String khqyr;

    @ApiModelProperty(value = "本方开户行")
    @TableField("bfkhh")
    private String bfkhh;

    @ApiModelProperty(value = "本方账号")
    @TableField("bfzh")
    private String bfzh;

    @ApiModelProperty(value = "争议解决方式；")
    @TableField("dispute_settlement_method")
    private String disputeSettlementMethod;

    @ApiModelProperty(value = "合同的变更记录标志；")
    @TableField("change_record_flag")
    private String changeRecordFlag;

    @ApiModelProperty(value = "合同变更原因")
    @TableField("change_reason")
    private String changeReason;

    @ApiModelProperty(value = "变更时间")
    @TableField("change_time")
    private Date changeTime;

    @ApiModelProperty(value = "变更内容")
    @TableField("change_content")
    private String changeContent;

    @ApiModelProperty(value = "是否在被变更中(0否；1是；2变更成功)")
    @TableField("changing")
    private String changing;

    @ApiModelProperty(value = "审批状态（0待提交，1审批中，2同意，3驳回，4拒绝）")
    @TableField("audit_state")
    private String auditState;

    @ApiModelProperty(value = "流程实例id")
    @TableField("process_instance_id")
    private String processInstanceId;

    @ApiModelProperty(value = "流程定义id")
    @TableField("process_definition_id")
    private String processDefinitionId;

    @ApiModelProperty(value = "审批完成时间")
    @TableField("agree_time")
    private Date agreeTime;

    @ApiModelProperty(value = "合同创建人(数据传输使用）；废弃；")
    @TableField("create_man")
    private String createMan;

    @ApiModelProperty(value = "创建人")
    @TableField("creater")
    private String creater;

    @ApiModelProperty(value = "合同创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "创建部门")
    @TableField("create_unit")
    private String createUnit;

    @ApiModelProperty(value = "暂停或终止原因")
    @TableField("create_depot")
    private String createDepot;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty(value = "单位id；org_info的ID；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "启用状态 0 : 未执行,1 : 执行中,2 : 执行完毕,3 : 终止,4 : 暂停")
    @TableField("in_application")
    private Integer inApplication;

    @ApiModelProperty(value = "创建人id")
    @TableField("creater_id")
    private Integer createrId;

    @ApiModelProperty(value = "更新时间")
    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "附件")
    @TableField("attachment")
    private String attachment;


}
