package com.chinaitop.depot.intelligent.financialSupervision.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-费用标准维护
 * </p>
 *
 * @author root
 * @since 2024-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_cost_standard")
@ApiModel(value="BusinessFsCostStandard对象", description="财务监管-费用标准维护")
public class BusinessFsCostStandard implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "粮库id；org_info的id；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "粮食种类；basic_enum的id；")
    @TableField("grain_type_id")
    private Integer grainTypeId;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    @TableField("grain_variety_id")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "标准名称")
    @TableField("standard_name")
    private String standardName;

    @ApiModelProperty(value = "标准类型 1:轮换费用标准 2:保管费用标准")
    @TableField("standard_type")
    private Integer standardType;

    @ApiModelProperty(value = "标准值")
    @TableField("standard_value")
    private BigDecimal standardValue;


}
