package com.chinaitop.depot.intelligent.financialSupervision.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-入库确认单
 * </p>
 *
 * @author root
 * @since 2024-07-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_in_confirm")
@ApiModel(value="BusinessFsInConfirm对象", description="财务监管-入库确认单")
public class BusinessFsInConfirm implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "org_info的id；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "合同编号；business_contract的ID；")
    @TableField("contract_id")
    private Integer contractId;

    @ApiModelProperty(value = "入库确认单-实际完成时间")
    @TableField("actual_completion_time")
    private Date actualCompletionTime;

    @ApiModelProperty(value = "入库确认单-入库确认时间")
    @TableField("receipt_confirmation_time")
    private Date receiptConfirmationTime;

    @ApiModelProperty(value = "入库确认单-入库确认单号")
    @TableField("receipt_number")
    private String receiptNumber;

    @ApiModelProperty(value = "入库确认单-小计-总结算数量（吨）")
    @TableField("total_settle_quantity")
    private BigDecimal totalSettleQuantity;

    @ApiModelProperty(value = "入库确认单-小计-总结算金额，单位：元")
    @TableField("total_settle_amount")
    private BigDecimal totalSettleAmount;

    @ApiModelProperty(value = "货款支付情况-货款支付时间")
    @TableField("payment_time")
    private Date paymentTime;

    @ApiModelProperty(value = "货款支付情况-凭证号")
    @TableField("voucher_number")
    private String voucherNumber;

    @ApiModelProperty(value = "货款支付情况-单位名称")
    @TableField("payer_unit_name")
    private String payerUnitName;

    @ApiModelProperty(value = "货款支付情况-已付粮款，单位：元")
    @TableField("paid_grain_money")
    private BigDecimal paidGrainMoney;

    @ApiModelProperty(value = "货款支付情况-未付粮款，单位：元")
    @TableField("unpaid_grain_money")
    private BigDecimal unpaidGrainMoney;

    @ApiModelProperty(value = "发票情况-单位")
    @TableField("invoice_unit")
    private String invoiceUnit;

    @ApiModelProperty(value = "发票情况-发票数量")
    @TableField("invoice_quantity")
    private Integer invoiceQuantity;

    @ApiModelProperty(value = "发票情况-发票金额，单位：元")
    @TableField("invoice_amount")
    private BigDecimal invoiceAmount;

    @ApiModelProperty(value = "发票情况-附件")
    @TableField("invoice_attachment")
    private String invoiceAttachment;

    @ApiModelProperty(value = "入库费用维护-对方单位")
    @TableField("wcm_cost_main_unit")
    private String wcmCostMainUnit;

    @ApiModelProperty(value = "入库费用维护-费用名称")
    @TableField("wcm_cost_name")
    private String wcmCostName;

    @ApiModelProperty(value = "入库费用维护-会计凭证号")
    @TableField("wcm_accounting_voucher_number")
    private String wcmAccountingVoucherNumber;

    @ApiModelProperty(value = "入库费用维护-发票金额")
    @TableField("wcm_invoice_amount")
    private BigDecimal wcmInvoiceAmount;

    @ApiModelProperty(value = "入库费用维护-已支付费用，单位：元")
    @TableField("wcm_paid_cost")
    private BigDecimal wcmPaidCost;

    @ApiModelProperty(value = "入库费用维护-非支付费用，单位：元")
    @TableField("wcm_non_payment_cost")
    private BigDecimal wcmNonPaymentCost;


}
