package com.chinaitop.depot.intelligent.financialSupervision.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-利息维护
 * </p>
 *
 * @author root
 * @since 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_interest_maintain")
@ApiModel(value="BusinessFsInterestMaintain对象", description="财务监管-利息维护")
public class BusinessFsInterestMaintain implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "粮库id；org_info的id；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "利息单号")
    @TableField("interest_bill_no")
    private String interestBillNo;

    @ApiModelProperty(value = "年")
    @TableField("year")
    private Integer year;

    @ApiModelProperty(value = "月")
    @TableField("month")
    private Integer month;

    @ApiModelProperty(value = "农发行实收利息；单位：万元；")
    @TableField("actual_interest_received")
    private BigDecimal actualInterestReceived;

    @ApiModelProperty(value = "对其他扣款；单位：万元；")
    @TableField("other_deduction")
    private BigDecimal otherDeduction;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "日期")
    @TableField(exist = false)
    private String yearAndMonth;
}
