package com.chinaitop.depot.intelligent.financialSupervision.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-银行贷款
 * </p>
 *
 * @author root
 * @since 2024-07-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_loan")
@ApiModel(value="BusinessFsLoan对象", description="财务监管-银行贷款")
public class BusinessFsLoan implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "单位id；org_info的ID；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "合同编号；business_contract的ID；")
    @TableField("contract_id")
    private Integer contractId;

    @ApiModelProperty(value = "贷款单号")
    @TableField("loan_number")
    private String loanNumber;

    @ApiModelProperty(value = "贷款金额")
    @TableField("loan_amount")
    private BigDecimal loanAmount;

    @ApiModelProperty(value = "利息单号")
    @TableField("interest_number")
    private String interestNumber;

    @ApiModelProperty(value = "计息账户")
    @TableField("interest_account")
    private String interestAccount;

    @ApiModelProperty(value = "计息开始日")
    @TableField("interest_start_date")
    private Date interestStartDate;

    @ApiModelProperty(value = "计息结束日")
    @TableField("interest_end_date")
    private Date interestEndDate;

    @ApiModelProperty(value = "计息天数")
    @TableField("interest_days")
    private Integer interestDays;

    @ApiModelProperty(value = "计息本金")
    @TableField("interest_principal")
    private BigDecimal interestPrincipal;

    @ApiModelProperty(value = "利率")
    @TableField("interest_rate")
    private BigDecimal interestRate;

    @ApiModelProperty(value = "应计利息")
    @TableField("accrued_interest")
    private BigDecimal accruedInterest;

    @ApiModelProperty(value = "实计利息")
    @TableField("actual_interest")
    private BigDecimal actualInterest;

    @ApiModelProperty(value = "罚息率")
    @TableField("penalty_rate")
    private BigDecimal penaltyRate;

    @ApiModelProperty(value = "应计罚息")
    @TableField("accrued_penalty")
    private BigDecimal accruedPenalty;

    @ApiModelProperty(value = "实计罚息")
    @TableField("actual_penalty")
    private BigDecimal actualPenalty;

    @ApiModelProperty(value = "逾期天数")
    @TableField("overdue_days")
    private Integer overdueDays;

    @ApiModelProperty(value = "币种")
    @TableField("currency")
    private String currency;

    @ApiModelProperty(value = "附件")
    @TableField("attachment")
    private String attachment;

    @ApiModelProperty(value = "合同编号")
    @TableField(exist = false)
    private String contractNumber;
}
