package com.chinaitop.depot.intelligent.financialSupervision.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-销售收入上缴-出库验收确认
 * </p>
 *
 * @author root
 * @since 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_out_confirm")
@ApiModel(value="BusinessFsOutConfirm对象", description="财务监管-销售收入上缴-出库验收确认")
public class BusinessFsOutConfirm implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "org_info的id；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "合同编号；business_contract的ID；")
    @TableField("contract_id")
    private Integer contractId;

    @ApiModelProperty(value = "出库确认单-出库确认时间")
    @TableField("outbound_confirmation_time")
    private Date outboundConfirmationTime;

    @ApiModelProperty(value = "出库确认单号")
    @TableField("outbound_confirmation_number")
    private String outboundConfirmationNumber;

    @ApiModelProperty(value = "出库确认单-小计-总结算数量（吨）")
    @TableField("total_settle_quantity")
    private BigDecimal totalSettleQuantity;

    @ApiModelProperty(value = "出库确认单-小计-总结算金额，单位：元")
    @TableField("total_settle_amount")
    private BigDecimal totalSettleAmount;

    @ApiModelProperty(value = "贷款信息-贷款收回单位")
    @TableField("loan_recovery_unit")
    private String loanRecoveryUnit;

    @ApiModelProperty(value = "贷款信息-贷款收回数量")
    @TableField("loan_recovery_quantity")
    private BigDecimal loanRecoveryQuantity;

    @ApiModelProperty(value = "贷款信息-贷款收回金额")
    @TableField("loan_recovery_amount")
    private BigDecimal loanRecoveryAmount;

    @ApiModelProperty(value = "贷款信息-贷款归还时间")
    @TableField("loan_return_time")
    private Date loanReturnTime;

    @ApiModelProperty(value = "贷款信息-贷款归还金额")
    @TableField("loan_return_amount")
    private BigDecimal loanReturnAmount;

    @ApiModelProperty(value = "销售发票情况-单位")
    @TableField("invoice_unit")
    private String invoiceUnit;

    @ApiModelProperty(value = "销售发票情况-发票数量")
    @TableField("invoice_quantity")
    private Integer invoiceQuantity;

    @ApiModelProperty(value = "销售发票情况-发票单价")
    @TableField("invoice_unit_price")
    private BigDecimal invoiceUnitPrice;

    @ApiModelProperty(value = "销售发票情况-发票金额")
    @TableField("invoice_amount")
    private BigDecimal invoiceAmount;


}
