package com.chinaitop.depot.intelligent.financialSupervision.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 财务监管-销售收入上缴-出库验收确认-合同元素
 * </p>
 *
 * @author root
 * @since 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_out_confirm_contract_item")
@ApiModel(value="BusinessFsOutConfirmContractItem对象", description="财务监管-销售收入上缴-出库验收确认-合同元素")
public class BusinessFsOutConfirmContractItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_fs_out_confirm的ID；")
    @TableField("fs_out_confirm_id")
    @NotNull(message = "fs_out_confirm_id不能为空")
    private Integer fsOutConfirmId;

    @ApiModelProperty(value = "仓房id；basic_storehouse的id；")
    @TableField("basic_storehouse_id")
    @NotNull(message = "仓房id不能为空")
    private Integer basicStorehouseId;

    @ApiModelProperty(value = "货位id；basic_warehouse的id；")
    @TableField("warehouse_id")
    @NotNull(message = "货位id不能为空")
    private Integer warehouseId;

    @ApiModelProperty(value = "粮食品种id；basic_enum的id；")
    @TableField("grain_variety_id")
    @NotNull(message = "粮食品种id不能为空")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食性质id；basic_enum的id；")
    @TableField("grain_nature_id")
    @NotNull(message = "粮食性质id不能为空")
    private Integer grainNatureId;

    @ApiModelProperty(value = "结算数量（吨）")
    @TableField("settle_quantity")
    @NotNull(message = "结算数量不能为空")
    private BigDecimal settleQuantity;

    @ApiModelProperty(value = "结算价格（元/吨）")
    @TableField("settle_price")
    @NotNull(message = "结算价格不能为空")
    private BigDecimal settlePrice;

    @ApiModelProperty(value = "结算金额")
    @TableField("settle_amount")
    @NotNull(message = "结算金额不能为空")
    private BigDecimal settleAmount;


}
