package com.chinaitop.depot.intelligent.financialSupervision.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 财务监管-销售收入上缴-出库验收确认-差额上缴元素
 * </p>
 *
 * @author root
 * @since 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_out_confirm_diff_price_item")
@ApiModel(value="BusinessFsOutConfirmDiffPriceItem对象", description="财务监管-销售收入上缴-出库验收确认-差额上缴元素")
public class BusinessFsOutConfirmDiffPriceItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_fs_out_confirm的ID；")
    @TableField("fs_out_confirm_id")
    @NotNull(message = "fs_out_confirm_id不能为空")
    private Integer fsOutConfirmId;

    @ApiModelProperty(value = "项目类型 1：销售；2：损耗；3：入库（用负数表示）；4：交易手续费（用负数表示）；")
    @TableField("project_type")
    @NotNull(message = "项目类型不能为空")
    private Integer projectType;

    @ApiModelProperty(value = "数量")
    @TableField("quantity")
    @NotNull(message = "数量不能为空")
    private BigDecimal quantity;

    @ApiModelProperty(value = "金额")
    @TableField("amount")
    @NotNull(message = "金额不能为空")
    private BigDecimal amount;


}
