package com.chinaitop.depot.intelligent.financialSupervision.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 合同、通知单明细表
 * </p>
 *
 * @author root
 * @since 2024-07-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_store_ware_detail")
@ApiModel(value="BusinessStoreWareDetail对象", description="合同、通知单明细表")
public class BusinessStoreWareDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "主表id；type=contract时，business_contract的id;	type=notice时，business_delivery_storage_notice的ID；")
    @TableField("zid")
    private Integer zid;

    @ApiModelProperty(value = "类型  contract(合同) notice(通知单)")
    @TableField("type")
    private String type;

    @ApiModelProperty(value = "basic_storehouse的id；仓房id")
    @TableField("house_id")
    private Integer houseId;

    @ApiModelProperty(value = "仓房名称")
    @TableField("house_name")
    private String houseName;

    @ApiModelProperty(value = "basic_warehouse的id；货位id;")
    @TableField("warehouse_id")
    private Integer warehouseId;

    @ApiModelProperty(value = "货位名称")
    @TableField("warehouse_name")
    private String warehouseName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "承储库点；org_info的ID；废弃；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "粮油品种；basic_enum的id；")
    @TableField("grain_kind")
    private Integer grainKind;

    @ApiModelProperty(value = "明细品种；basic_enum的id；废弃；")
    @TableField("grain_detail_kind")
    private Integer grainDetailKind;

    @ApiModelProperty(value = "粮油等级；basic_enum的id；")
    @TableField("grain_grade")
    private Integer grainGrade;

    @ApiModelProperty(value = "粮油性质；basic_enum的id；")
    @TableField("grain_attribute")
    private Integer grainAttribute;

    @ApiModelProperty(value = "收获年度")
    @TableField("grain_annual")
    private Integer grainAnnual;

    @ApiModelProperty(value = "粮油产地")
    @TableField("grain_producing_area")
    private Integer grainProducingArea;

    @ApiModelProperty(value = "轮入单价")
    @TableField("in_price")
    private String inPrice;

    @ApiModelProperty(value = "数量")
    @TableField("in_count")
    private String inCount;

    @ApiModelProperty(value = "总价")
    @TableField("in_detail_total_price")
    private String inDetailTotalPrice;

    @ApiModelProperty(value = "入库时间")
    @TableField("input_time")
    private Date inputTime;

    @ApiModelProperty(value = "轮换计划（0：轮入，1：轮出）；废弃；")
    @TableField("state")
    private Integer state;

    @ApiModelProperty(value = "生产年份")
    @TableField("productive_year")
    private Integer productiveYear;

    @ApiModelProperty(value = "剩余数量")
    @TableField("remaining_number")
    private String remainingNumber;

    @ApiModelProperty(value = "更新时间")
    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "轮出价格")
    @TableField("out_price")
    private String outPrice;

    @ApiModelProperty(value = "轮出数量")
    @TableField("out_count")
    private String outCount;

    @ApiModelProperty(value = "轮出总价")
    @TableField("out_detail_total_price")
    private String outDetailTotalPrice;

    @ApiModelProperty(value = "轮出剩余数量")
    @TableField("out_remaining_number")
    private String outRemainingNumber;

    @ApiModelProperty(value = "入库类型:1包干轮换2调节储备轮换3竞价采购；废弃；")
    @TableField("incoming_type")
    private Integer incomingType;

    @ApiModelProperty(value = "接收的通知单id；废弃；")
    @TableField("jstzd_id")
    private Integer jstzdId;

    @ApiModelProperty(value = "合同编号；废弃；")
    @TableField("htbh")
    private String htbh;

    @ApiModelProperty(value = "完成数量；出入库使用；")
    @TableField("complete_quantity")
    private BigDecimal completeQuantity;

    @ApiModelProperty(value = "剩余数量；出入库使用；")
    @TableField("remain_quantity")
    private BigDecimal remainQuantity;


}
