package com.chinaitop.depot.intelligent.financialSupervision.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 财务监管-会计账
 * </p>
 *
 * @author root
 * @since 2024-07-02
 */
@Data
public class BusinessFsAccountUpdateParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @NotNull(message = "id不能为空")
    private Integer id;

    @ApiModelProperty(value = "单位id；org_info的ID；")
    @NotNull(message = "单位id不能为空")
    private Integer orgId;

    @ApiModelProperty(value = "类型，1：采购会计账；2：销售会计账")
    @NotNull(message = "类型不能为空")
    private Integer type;

    @ApiModelProperty(value = "合同编号；business_contract的ID；")
    @NotNull(message = "合同编号不能为空")
    private Integer contractId;

    @ApiModelProperty(value = "统计日期")
    @NotNull(message = "统计日期不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statisticalDate;

    @ApiModelProperty(value = "凭证号")
    @NotBlank(message = "凭证号不能为空")
    private String voucherNumber;

    @ApiModelProperty(value = "数量")
    @NotNull(message = "数量不能为空")
    private BigDecimal quantity;

    @ApiModelProperty(value = "单价")
    @NotNull(message = "单价不能为空")
    private BigDecimal unitPrice;

    @ApiModelProperty(value = "金额")
    @NotNull(message = "金额不能为空")
    private BigDecimal amount;


    @ApiModelProperty(value = "附件")
    @NotBlank(message = "附件不能为空")
    private String attachment;
}
