package com.chinaitop.depot.intelligent.financialSupervision.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 财务监管-利息维护
 * </p>
 *
 * @author root
 * @since 2024-07-23
 */
@Data
public class BusinessFsInterestMaintainParam implements Serializable {



    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "创建人")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    private Date updatedate;

    @ApiModelProperty(value = "粮库id；org_info的id；")
    @NotNull(message = "库区id不能为空")
    private Integer orgId;

  /*  @ApiModelProperty(value = "利息单号")
    private String interestBillNo;*/

    @ApiModelProperty(value = "年")
    @NotNull(message = "年不能为空")
    private Integer year;

    @ApiModelProperty(value = "月")
    @NotNull(message = "月不能为空")
    private Integer month;

    @ApiModelProperty(value = "农发行实收利息；单位：万元；")
    @NotNull(message = "农发行实收利息不能为空")
    private BigDecimal actualInterestReceived;

    @ApiModelProperty(value = "对其他扣款；单位：万元；")
    @NotNull(message = "对其他扣款不能为空")
    private BigDecimal otherDeduction;

    @ApiModelProperty(value = "备注")
    private String remark;


}
