package com.chinaitop.depot.intelligent.financialSupervision.param;

import com.baomidou.mybatisplus.annotation.TableField;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsInConfirmContractItem;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsOutConfirmContractItem;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsOutConfirmDiffPriceItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 财务监管-入库确认单
 * </p>
 *
 * @author root
 * @since 2024-07-04
 */
@Data
public class BusinessFsOutConfirmAddParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "org_info的id；")
    @NotNull(message = "库区id不能为空")
    private Integer orgId;

    @ApiModelProperty(value = "合同id；business_contract的ID；")
    @NotNull(message = "合同id不能为空")
    private Integer contractId;

    @ApiModelProperty(value = "出库确认单-出库确认时间")
    @NotNull(message = "出库确认时间不能为空")
    private Date outboundConfirmationTime;

   /* @ApiModelProperty(value = "出库确认单号")
    @NotBlank(message = "出库确认单号不能为空")
    private String outboundConfirmationNumber;*/

    @ApiModelProperty(value = "出库确认单-小计-总结算数量（吨）")
    @NotNull(message = "总结算数量不能为空")
    private BigDecimal totalSettleQuantity;

    @ApiModelProperty(value = "出库确认单-小计-总结算金额，单位：元")
    @NotNull(message = "总结算金额不能为空")
    private BigDecimal totalSettleAmount;

    @ApiModelProperty(value = "贷款信息-贷款收回单位")
    @NotBlank(message = "贷款收回单位不能为空")
    private String loanRecoveryUnit;

    @ApiModelProperty(value = "贷款信息-贷款收回数量")
    @NotNull(message = "贷款收回数量不能为空")
    private BigDecimal loanRecoveryQuantity;

    @ApiModelProperty(value = "贷款信息-贷款收回金额")
    @NotNull(message = "贷款收回金额不能为空")
    private BigDecimal loanRecoveryAmount;

    @ApiModelProperty(value = "贷款信息-贷款归还时间")
    @NotNull(message = "贷款归还时间不能为空")
    private Date loanReturnTime;

    @ApiModelProperty(value = "贷款信息-贷款归还金额")
    @NotNull(message = "贷款归还金额不能为空")
    private BigDecimal loanReturnAmount;

    @ApiModelProperty(value = "销售发票情况-单位")
    @NotBlank(message = "单位不能为空")
    private String invoiceUnit;

    @ApiModelProperty(value = "销售发票情况-发票数量")
    @NotNull(message = "发票数量不能为空")
    private Integer invoiceQuantity;

    @ApiModelProperty(value = "销售发票情况-发票单价")
    @NotNull(message = "发票单价不能为空")
    private BigDecimal invoiceUnitPrice;

    @ApiModelProperty(value = "销售发票情况-发票金额")
    @NotNull(message = "发票金额不能为空")
    private BigDecimal invoiceAmount;

    @ApiModelProperty(value = "合同详情")
    private List<BusinessFsOutConfirmContractItem> fsOutConfirmContractItemList;

    @ApiModelProperty(value = "差价上缴详情")
    private List<BusinessFsOutConfirmDiffPriceItem> fsOutConfirmDiffPriceItemList;

}
