package com.chinaitop.depot.intelligent.financialSupervision.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author hjc
 * @date 2024/7/2 17:06
 */
@Data
public class BusinessFsStatisticalAccountUpdateParam {

    @ApiModelProperty(value = "主键ID")
    @NotNull(message = "id不能为空")
    private Integer id;

    @ApiModelProperty(value = "单位id；org_info的ID；")
    @NotNull(message = "单位id不能为空")
    private Integer orgId;

    @ApiModelProperty(value = "合同编号；business_contract的ID；")
    @NotNull(message = "合同编号不能为空")
    private Integer contractId;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    @NotNull(message = "粮食品种id不能为空")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食等级；basic_enum的id；")
    @NotNull(message = "粮食等级id不能为空")
    private Integer grainGradeId;

    @ApiModelProperty(value = "存储地点")
    @NotBlank(message = "存储地点不能为空")
    private String storageLocation;

    @ApiModelProperty(value = "统计日期")
    @NotNull(message = "统计日期不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statisticalDate;

    @ApiModelProperty(value = "凭证号")
    @NotBlank(message = "凭证号不能为空")
    private String voucherNumber;

    @ApiModelProperty(value = "收入数量")
    @NotNull(message = "收入数量不能为空")
    private BigDecimal incomeQuantity;

    @ApiModelProperty(value = "支出数量")
    @NotNull(message = "支出数量不能为空")
    private BigDecimal expenditureQuantity;

    @ApiModelProperty(value = "库存数量")
    @NotNull(message = "库存数量不能为空")
    private BigDecimal inventoryQuantity;

    @ApiModelProperty(value = "会计签字")
    @NotBlank(message = "会计签字不能为空")
    private String accountantSignature;

}
