package com.chinaitop.depot.intelligent.financialSupervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsAccount;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsAccountAddParam;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsAccountPageParam;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsAccountUpdateParam;

/**
 * <p>
 * 财务监管-会计账 服务类
 * </p>
 *
 * @author root
 * @since 2024-07-02
 */
public interface BusinessFsAccountService extends IService<BusinessFsAccount> {

    /**
     * 查询 会计账 信息列表
     *
     * @author hjc
     * @date 2024/7/2 18:09
     */
    Page<BusinessFsAccount> getList(BusinessFsAccountPageParam pageParam);

    /**
     * 会计账新增
     *
     * @author hjc
     * @date 2024/7/3 9:22
     */
    int saveData(BusinessFsAccountAddParam param);

    /**
     * 会计账修改
     *
     * @author hjc
     * @date 2024/7/3 9:22
     */
    int updateData(BusinessFsAccountUpdateParam param);

    /**
     * 会计账删除
     *
     * @author hjc
     * @date 2024/7/3 9:22
     */
    int deleteData(Integer id);

    /**
    *会计账详情
    *
    *@author hjc
    *@date 2024/7/3 9:25
    */
    BusinessFsAccount getDataById(String id);
}
