package com.chinaitop.depot.intelligent.financialSupervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsCostStandard;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsCostStandardAddParam;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsCostStandardUpdateParam;
import com.chinaitop.depot.intelligent.financialSupervision.param.FsCostStandardPageParam;
import com.chinaitop.depot.intelligent.financialSupervision.vo.BusinessFsCostStandardVO;
import com.chinaitop.depot.intelligent.financialSupervision.vo.GetGrainVarietyVO;

import java.util.List;

/**
 * <p>
 * 财务监管-费用标准维护 服务类
 * </p>
 *
 * @author root
 * @since 2024-06-27
 */
public interface BusinessFsCostStandardService extends IService<BusinessFsCostStandard> {

    /**
    *查询 费用标准维护 信息列表
    *
    *@author hjc
    *@date 2024/6/27 10:08
    */
    Page<BusinessFsCostStandard> getList(FsCostStandardPageParam pageParam);

    /**
    *费用标准维护新增
    *
    *@author hjc
    *@date 2024/6/27 10:22
    */
    int saveData(BusinessFsCostStandardAddParam param);

    /**
    *费用标准维护修改
    *
    *@author hjc
    *@date 2024/6/27 10:28
    */
    int updateData(BusinessFsCostStandardUpdateParam param);

    /**
    *费用标准维护删除
    *
    *@author hjc
    *@date 2024/6/27 10:30
    */
    int deleteData(Integer id);

    /**
    *获取粮食品种
    *
    *@author hjc
    *@date 2024/6/27 10:39
    */
    List<GetGrainVarietyVO> getGrainVariety();

    /**
    *费用标准维护详情
    *
    *@author hjc
    *@date 2024/6/27 10:56
    */
    BusinessFsCostStandardVO getDataById(String id);
}
