package com.chinaitop.depot.intelligent.financialSupervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsLoan;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.financialSupervision.param.*;

/**
 * <p>
 * 财务监管-银行贷款 服务类
 * </p>
 *
 * @author root
 * @since 2024-07-03
 */
public interface BusinessFsLoanService extends IService<BusinessFsLoan> {

    /**
    *查询 银行贷款 信息列表
    *
    *@author hjc
    *@date 2024/7/3 10:02
    */
    Page<BusinessFsLoan> getList(BusinessFsLoanPageParam pageParam);

    /**
    *银行贷款新增
    *
    *@author hjc
    *@date 2024/7/3 10:27
    */
    int saveData(BusinessFsLoanAddParam param);

    /**
    *银行贷款修改
    *
    *@author hjc
    *@date 2024/7/3 10:29
    */
    int updateData(BusinessFsLoanUpdateParam param);

    /**
    *银行贷款删除
    *
    *@author hjc
    *@date 2024/7/3 10:32
    */
    int deleteData(Integer id);

    /**
     *银行贷款详情
     *
     *@author hjc
     *@date 2024/7/3 10:32
     */
    BusinessFsLoan getDataById(String id);
}
