package com.chinaitop.depot.intelligent.financialSupervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessContract;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsStatisticalAccount;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.financialSupervision.param.*;

import java.util.List;

/**
 * <p>
 * 财务监管-统计账 服务类
 * </p>
 *
 * @author root
 * @since 2024-07-02
 */
public interface BusinessFsStatisticalAccountService extends IService<BusinessFsStatisticalAccount> {

    /**
     * 查询 统计账 信息列表
     *
     * @author hjc
     * @date 2024/7/2 16:49
     */
    Page<BusinessFsStatisticalAccount> getList(BusinessFsStatisticalAccountPageParam pageParam);

    /**
     * 统计账新增
     *
     * @author hjc
     * @date 2024/7/2 16:50
     */
   int saveData(BusinessFsStatisticalAccountAddParam param);

   /**
   *统计账修改
   *
   *@author hjc
   *@date 2024/7/2 16:50
   */
    int updateData(BusinessFsStatisticalAccountUpdateParam param);

    /**
    *统计账删除
    *
    *@author hjc
    *@date 2024/7/2 16:51
    */
    int deleteData(Integer id);

    /**
    *统计账详情
    *
    *@author hjc
    *@date 2024/7/2 16:51
    */
    BusinessFsStatisticalAccount getDataById(String id);

    /**
    *获取合同编号
    *
    *@author hjc
    *@date 2024/7/2 17:31
    */
    List<BusinessContract> getContract(Integer orgId);

}
