package com.chinaitop.depot.intelligent.grainReserves.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 数据字典大类
 * </p>
 *
 * @author root
 * @since 2024-05-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_enum")
@ApiModel(value="BasicEnum对象", description="数据字典大类")
public class BasicEnum implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "enumId", type = IdType.AUTO)
    private Integer enumid;

    @ApiModelProperty(value = "字典code")
    @TableField("enumcode")
    private String enumcode;

    @ApiModelProperty(value = "字典名称")
    @TableField("enumname")
    private String enumname;

    @ApiModelProperty(value = "国标编码")
    @TableField("gbcode")
    private String gbcode;

    @ApiModelProperty(value = "父级ID")
    @TableField("parentId")
    private Integer parentid;

    @ApiModelProperty(value = "创建时间")
    @TableField("createDate")
    private Date createdate;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "删除状态(1.正常，2.删除)")
    @TableField("delFlag")
    private Integer delflag;

    @TableField("updatetime")
    private Date updatetime;


}
