package com.chinaitop.depot.intelligent.grainReserves.service;

import com.chinaitop.depot.intelligent.basicData.model.BasicStorehouse;
import com.chinaitop.depot.intelligent.grainReserves.model.BasicWarehouse;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.grainReserves.model.BusinessGslrLossCollect;
import com.chinaitop.depot.intelligent.grainReserves.param.BusinessGslrLossCollectPageParam;
import com.chinaitop.depot.intelligent.grainReserves.param.BusinessGslrLossCollectParam;
import com.chinaitop.depot.intelligent.grainReserves.vo.BusinessGslrLossCollectVO;
import com.chinaitop.depot.intelligent.grainReserves.vo.WarehouseAndInfoVO;

import java.util.List;

/**
 * <p>
 * 粮食储备-节粮损益-损溢损失信息采集 服务类
 * </p>
 *
 * @author root
 * @since 2024-05-15
 */
public interface BusinessGslrLossCollectService extends IService<BusinessGslrLossCollect> {


    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 损溢损失信息采集删除
     */
    int deleteData(String id);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 查询 损溢损失信息采集 信息列表
     */
    List<BusinessGslrLossCollectVO> getList(BusinessGslrLossCollectPageParam pageParam);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 损溢损失信息采集新增
     */
    int saveData(BusinessGslrLossCollectParam param);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 损溢损失信息采集修改
     */
    int updateData(BusinessGslrLossCollectParam param);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 获取货位名称信息
     */
    List<BasicWarehouse> getByWarehouse(String storehouseId);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 由货位id带出数据
     */
    WarehouseAndInfoVO getByWarehouseAndInfo(String warehouseId);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 获取仓房名称信息
     */
    List<BasicStorehouse> getBasicStorehouse();

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 分页展示上报
     */
    int report(String id);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 损溢损失信息采集详情
     */
    BusinessGslrLossCollectVO getDataById(String id);
}
