package com.chinaitop.depot.intelligent.grainReserves.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.OrgInfo;
import com.chinaitop.depot.intelligent.basicData.mapper.OrgInfoMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.grainReserves.param.GrReserveScalePageParam;
import com.chinaitop.depot.intelligent.grainReserves.service.OrgInfoService;
import com.chinaitop.depot.intelligent.grainReserves.vo.GrReserveScaleVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 组织机构信息表 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-15
 */
@Service
public class OrgInfoServiceImpl extends ServiceImpl<OrgInfoMapper, OrgInfo> implements OrgInfoService {


    @Autowired
    private OrgInfoMapper orgInfoMapper;
    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 查询 储备规模接收 信息列表
     */
    @Override
    public Page<GrReserveScaleVO> getList(GrReserveScalePageParam pageParam) {

        Page<GrReserveScaleVO> page = new Page<>(pageParam.getCurrent(), pageParam.getSize());
        return orgInfoMapper.selectMyPage(page,pageParam.getUnitInfoName(),
                pageParam.getGrainNatureName(),pageParam.getGrainVarietyName(),
                pageParam.getOrgId());


    }
}
