package com.chinaitop.depot.intelligent.grainReserves.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/5/15 0:11
 */
@Data
public class GrReserveScaleVO {

    /** 唯一标识 */
    @ApiModelProperty(value = "储备规模Id", position = 1)
    private String id;

    /** 企业单位；biz_unit_info的id； */
    @ApiModelProperty(value = "企业单位；biz_unit_info的id；", position = 2)
    private String unitInfoId;

    /** 企业单位；biz_unit_info的id； */
    @ApiModelProperty(value = "企业单位名称", position = 3)
    private String unitInfoName;

    /** 粮食品种；外库的表，depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种id；外库的表，depot_qh.basic_enum的id；", position = 4)
    private Integer grainVarietyId;

    /** 粮食品种；外库的表，depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食品种名称", position = 5)
    private String grainVarietyName;

    /** 粮食性质；外库的表，depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食性质id；外库的表，depot_qh.basic_enum的id；", position = 6)
    private Integer grainNatureId;

    /** 粮食性质；外库的表，depot_qh.basic_enum的id； */
    @ApiModelProperty(value = "粮食性质", position = 7)
    private String grainNatureName;

    /** 储备规模计划量（吨） */
    @ApiModelProperty(value = "储备规模计划量（吨）", position = 8)
    private BigDecimal reservePlanQuantity;


    /** 库区名称；外库的表，depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区名称id；外库的表，depot_qh.org_info的id；", position = 9)
    private Integer orgInfoId;

    /** 库区名称；外库的表，depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区名称", position = 10)
    private String orgInfoName;

    /** 状态 1：保存；2：下发； */
    @ApiModelProperty(value = "状态 1：保存；2：下发；", position = 12)
    private Integer status;

    /** 接收时间 */
    @ApiModelProperty(value = "接收时间", position = 13)
    private Date distributeTime;
}
