package com.chinaitop.depot.intelligent.priceApproval.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-销售收入上缴
 * </p>
 *
 * @author root
 * @since 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_sale_revenue")
@ApiModel(value="BusinessFsSaleRevenue对象", description="财务监管-销售收入上缴")
public class BusinessFsSaleRevenue implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "上报库区；org_info的id；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "上报时间")
    @TableField("report_time")
    private Date reportTime;

    @ApiModelProperty(value = "计划类型")
    @TableField("plan_type")
    private String planType;

    @ApiModelProperty(value = "销往单位")
    @TableField("sales_unit")
    private String salesUnit;

    @ApiModelProperty(value = "合同编号；business_contract的ID；")
    @TableField("contract_id")
    private Integer contractId;

    @ApiModelProperty(value = "问题跟踪反馈")
    @TableField("problem_feedback")
    private String problemFeedback;

    @ApiModelProperty(value = "状态 0：保存；1：库级系统-上报；2：已核定；3：省级平台-上报")
    @TableField("status")
    private Integer status;

    // 只展示不保存
    @ApiModelProperty(value = "合同信息")
    @TableField(exist = false)
    private List<BusinessContractDetail> contractDetails;

    @ApiModelProperty(value = "质检损益信息")
    @TableField(exist = false)
    private List<BusinessFsSaleRevenueInspectionLoss> inspectionLossList;

    @ApiModelProperty(value = "三账一致性-会计账")
    @TableField(exist = false)
    private List<BusinessFsSaleRevenueThreeConsistenceAccount> threeConsistenceAccountList;

    @ApiModelProperty(value = "三账一致性-实际出库情况")
    @TableField(exist = false)
    private List<BusinessFsSaleRevenueThreeConsistence> threeConsistenceList;

    @ApiModelProperty(value = "结算信息")
    @TableField(exist = false)
    private List<BusinessFsSaleRevenueSettle> revenueSettleList;

    @ApiModelProperty(value = "原核定入库价格")
    @TableField(exist = false)
    private List<BusinessFsSaleRevenueApprovalPrice> approvalPriceList;

    @ApiModelProperty(value = "差额上缴")
    @TableField(exist = false)
    private List<BusinessFsSaleRevenueDiffPrice> DiffPriceList;

    @ApiModelProperty(value = "合同编号")
    @TableField(exist = false)
    private String contractNumber;

    @ApiModelProperty(value = "数量")
    @TableField(exist = false)
    private String grainQuantity;

    @ApiModelProperty(value = "金额")
    @TableField(exist = false)
    private String moneyQuantity;

    @ApiModelProperty(value = "确认数量")
    @TableField(exist = false)
    private String performanceQuantity;
}
