package com.chinaitop.depot.intelligent.priceApproval.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-销售收入上缴-差额上缴
 * </p>
 *
 * @author root
 * @since 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_sale_revenue_diff_price")
@ApiModel(value="BusinessFsSaleRevenueDiffPrice对象", description="财务监管-销售收入上缴-差额上缴")
public class BusinessFsSaleRevenueDiffPrice implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_fs_sale_revenue的ID；")
    @TableField("fs_sale_revenue_id")
    private Integer fsSaleRevenueId;

    @ApiModelProperty(value = "项目类型 1：销售；2：损耗；3：入库（用负数表示）；4：交易手续费（用负数表示）；")
    @TableField("project_type")
    private Integer projectType;

    @ApiModelProperty(value = "数量")
    @TableField("total_quantity")
    private BigDecimal totalQuantity;

    @ApiModelProperty(value = "省平台修改-数量")
    @TableField("province_total_quantity")
    private BigDecimal provinceTotalQuantity;

    @ApiModelProperty(value = "金额")
    @TableField("total_amount")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "省平台修改-金额")
    @TableField("province_total_amount")
    private BigDecimal provinceTotalAmount;


}
