package com.chinaitop.depot.intelligent.priceApproval.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-销售收入上缴-三账一致性
 * </p>
 *
 * @author root
 * @since 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_sale_revenue_three_consistence")
@ApiModel(value="BusinessFsSaleRevenueThreeConsistence对象", description="财务监管-销售收入上缴-三账一致性")
public class BusinessFsSaleRevenueThreeConsistence implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_fs_sale_revenue的ID")
    @TableField("fs_sale_revenue_id")
    private Integer fsSaleRevenueId;

    @ApiModelProperty(value = "年")
    @TableField("year")
    private Integer year;

    @ApiModelProperty(value = "月份")
    @TableField("month")
    private String month;

    @ApiModelProperty(value = "出库情况-仓号；basic_storehouse的id；仓房id")
    @TableField("basic_storehouse_id")
    private Integer basicStorehouseId;

    @ApiModelProperty(value = "basic_warehouse的id；货位id;")
    @TableField("warehouse_id")
    private Integer warehouseId;

    @ApiModelProperty(value = "出库情况-其中：损耗")
    @TableField("loss")
    private BigDecimal loss;

    @ApiModelProperty(value = "省平台修改-出库情况-其中：损耗")
    @TableField("province_loss")
    private BigDecimal provinceLoss;

    @ApiModelProperty(value = "出库情况-保管账数量")
    @TableField("custody_account_quantity")
    private BigDecimal custodyAccountQuantity;

    @ApiModelProperty(value = "省平台修改-出库情况-保管账数量")
    @TableField("province_custody_account_quantity")
    private String provinceCustodyAccountQuantity;

    @ApiModelProperty(value = "出库情况-统计账数量，单位：公斤；")
    @TableField("statistical_account_quantity")
    private BigDecimal statisticalAccountQuantity;

    @ApiModelProperty(value = "省平台修改-出库情况-统计账数量，单位：公斤；")
    @TableField("province_statistical_account_quantity")
    private BigDecimal provinceStatisticalAccountQuantity;

    @ApiModelProperty(value = "完成时间")
    @TableField("complete_time")
    private Date completeTime;

    @ApiModelProperty(value = "省平台修改-完成时间")
    @TableField("province_complete_time")
    private Date provinceCompleteTime;

    @ApiModelProperty(value = "会计账-数量，单位：公斤")
    @TableField("accounting_quantity")
    private BigDecimal accountingQuantity;

    @ApiModelProperty(value = "省平台修改-会计账-数量，单位：公斤；")
    @TableField("province_accounting_quantity")
    private BigDecimal provinceAccountingQuantity;

    @ApiModelProperty(value = "会计账-单价，单位：元/公斤")
    @TableField("accounting_unit_price")
    private BigDecimal accountingUnitPrice;

    @ApiModelProperty(value = "省平台修改-会计账-单价，单位：元/公斤")
    @TableField("province_accounting_unit_price")
    private BigDecimal provinceAccountingUnitPrice;

    @ApiModelProperty(value = "会计账-金额，单位：元")
    @TableField("accounting_amount")
    private BigDecimal accountingAmount;

    @ApiModelProperty(value = "省平台修改-会计账-金额，单位：元")
    @TableField("province_accounting_amount")
    private BigDecimal provinceAccountingAmount;

    @ApiModelProperty(value = "仓房名称")
    @TableField(exist = false)
    private String storehouseName;

    @ApiModelProperty(value = "货位名称")
    @TableField(exist = false)
    private String warehouseName;
}
