package com.chinaitop.depot.intelligent.priceApproval.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 财务监管-销售收入上缴-三账一致性-会计账
 * </p>
 *
 * @author root
 * @since 2024-07-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_sale_revenue_three_consistence_account")
@ApiModel(value="BusinessFsSaleRevenueThreeConsistenceAccount对象", description="财务监管-销售收入上缴-三账一致性-会计账")
public class BusinessFsSaleRevenueThreeConsistenceAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_fs_sale_revenue的ID")
    @TableField("fs_sale_revenue_id")
    private Integer fsSaleRevenueId;

    @ApiModelProperty(value = "年")
    @TableField("year")
    private Integer year;

    @ApiModelProperty(value = "月份")
    @TableField("month")
    private String month;

    @ApiModelProperty(value = "会计账-数量，单位：公斤")
    @TableField("accounting_quantity")
    private BigDecimal accountingQuantity;

    @ApiModelProperty(value = "省平台修改-会计账-数量，单位：公斤；")
    @TableField("province_accounting_quantity")
    private BigDecimal provinceAccountingQuantity;

    @ApiModelProperty(value = "会计账-金额，单位：元")
    @TableField("accounting_amount")
    private BigDecimal accountingAmount;

    @ApiModelProperty(value = "省平台修改-会计账-金额，单位：元")
    @TableField("province_accounting_amount")
    private BigDecimal provinceAccountingAmount;

    @ApiModelProperty(value = "凭证号")
    @TableField(exist = false)
    private String voucherNumber;

    @ApiModelProperty(value = "销售单价(元）")
    @TableField(exist = false)
    private BigDecimal unitPrice;

}
