package com.chinaitop.depot.intelligent.priceApproval.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 财务监管-入库价格核定
 * </p>
 *
 * @author root
 * @since 2024-07-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_storage_price_approval")
@ApiModel(value="BusinessFsStoragePriceApproval对象", description="财务监管-入库价格核定")
public class BusinessFsStoragePriceApproval implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "上报库区；org_info的id；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "上报时间")
    @TableField("report_time")
    private Date reportTime;

    @ApiModelProperty(value = "计划类型")
    @TableField("plan_type")
    private String planType;

    @ApiModelProperty(value = "采购单位")
    @TableField("purchasing_unit")
    private String purchasingUnit;

    @ApiModelProperty(value = "合同编号；business_contract的ID；")
    @TableField("contract_id")
    private Integer contractId;

    @ApiModelProperty(value = "状态 0：保存；1：上报；2：已核定；")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "合同信息")
    @TableField(exist = false)
    private List<BusinessContract> contractList;

    @ApiModelProperty(value = "质检信息")
    @TableField(exist = false)
    private List<BusinessFsStoragePriceApprovalInspection> Inspections;

    @ApiModelProperty(value = "三账一致性")
    @TableField(exist = false)
    private List<BusinessFsStoragePriceApprovalThreeConsistence> ThreeConsistences;

    @ApiModelProperty(value = "结算信息,入库费用情况")
    @TableField(exist = false)
    private List<BusinessFsStoragePriceApprovalSettle> Settles;
}
