package com.chinaitop.depot.intelligent.priceApproval.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 财务监管-入库价格核定-结算信息
 * </p>
 *
 * @author root
 * @since 2024-07-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_storage_price_approval_settle")
@ApiModel(value="BusinessFsStoragePriceApprovalSettle对象", description="财务监管-入库价格核定-结算信息")
public class BusinessFsStoragePriceApprovalSettle implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_fs_storage_price_approval的ID")
    @TableField("fs_storage_price_approval_id")
    private Integer fsStoragePriceApprovalId;

    @ApiModelProperty(value = "入库确认单ID；business_fs_in_confirm的ID；")
    @TableField("fs_receipt_confirm_id")
    private Integer fsReceiptConfirmId;

    @ApiModelProperty(value = "省平台修改-入库确认单-小计-总结算数量（吨）")
    @TableField("province_total_settle_quantity")
    private BigDecimal provinceTotalSettleQuantity;

    @ApiModelProperty(value = "省平台修改-入库确认单-小计-总结算金额，单位：元")
    @TableField("province_total_settle_amount")
    private BigDecimal provinceTotalSettleAmount;

    @ApiModelProperty(value = "省平台修改-货款支付情况-货款支付时间")
    @TableField("province_payment_time")
    private Date provincePaymentTime;

    @ApiModelProperty(value = "省平台修改-货款支付情况-凭证号")
    @TableField("province_voucher_number")
    private String provinceVoucherNumber;

    @ApiModelProperty(value = "省平台修改-货款支付情况-单位名称")
    @TableField("province_payer_unit_name")
    private String provincePayerUnitName;

    @ApiModelProperty(value = "省平台修改-货款支付情况-已付粮款，单位：元")
    @TableField("province_paid_grain_money")
    private BigDecimal provincePaidGrainMoney;

    @ApiModelProperty(value = "省平台修改-货款支付情况-未付粮款，单位：元")
    @TableField("province_unpaid_grain_money")
    private BigDecimal provinceUnpaidGrainMoney;

    @ApiModelProperty(value = "省平台修改-发票情况-单位")
    @TableField("province_invoice_unit")
    private String provinceInvoiceUnit;

    @ApiModelProperty(value = "省平台修改-发票情况-发票数量")
    @TableField("province_invoice_quantity")
    private Integer provinceInvoiceQuantity;

    @ApiModelProperty(value = "省平台修改-发票情况-发票金额，单位：元")
    @TableField("province_invoice_amount")
    private BigDecimal provinceInvoiceAmount;

    @ApiModelProperty(value = "省平台修改-入库费用维护-对方单位")
    @TableField("province_wcm_cost_main_unit")
    private String provinceWcmCostMainUnit;

    @ApiModelProperty(value = "省平台修改-入库费用维护-费用名称")
    @TableField("province_wcm_cost_name")
    private String provinceWcmCostName;

    @ApiModelProperty(value = "省平台修改-入库费用维护-会计凭证号")
    @TableField("province_wcm_accounting_voucher_number")
    private String provinceWcmAccountingVoucherNumber;

    @ApiModelProperty(value = "省平台修改-入库费用维护-发票金额")
    @TableField("province_wcm_invoice_amount")
    private BigDecimal provinceWcmInvoiceAmount;

    @ApiModelProperty(value = "省平台修改-入库费用维护-已支付费用，单位：元")
    @TableField("province_wcm_paid_cost")
    private BigDecimal provinceWcmPaidCost;

    @ApiModelProperty(value = "省平台修改-入库费用维护-非支付费用，单位：元")
    @TableField("province_wcm_non_payment_cost")
    private BigDecimal provinceWcmNonPaymentCost;

    //入库确认时间
    @ApiModelProperty(value = "入库确认时间")
    @TableField(exist = false)
    private Date receiptConfirmationTime;
    //确认数量
    @ApiModelProperty(value = "确认数量")
    @TableField(exist = false)
    private BigDecimal totalSettleQuantity;
    //金额
    @ApiModelProperty(value = "金额")
    @TableField(exist = false)
    private BigDecimal totalSettleAmount;
    //支付时间
    @ApiModelProperty(value = "支付时间")
    @TableField(exist = false)
    private Date paymentTime;
    //凭证号
    @ApiModelProperty(value = "凭证号")
    @TableField(exist = false)
    private String voucherNumber;
    //贷款支付情况-单位
    @ApiModelProperty(value = "贷款支付情况-单位")
    @TableField(exist = false)
    private String payerUnitName;
    //已付粮款
    @ApiModelProperty(value = "已付粮款")
    @TableField(exist = false)
    private BigDecimal paidGrainMoney;
    //未付粮款
    @ApiModelProperty(value = "未付粮款")
    @TableField(exist = false)
    private BigDecimal unpaidGrainMoney;
    //发票情况-单位
    @ApiModelProperty(value = "发票情况-单位")
    @TableField(exist = false)
    private String invoiceUnit;
    //发票数量
    @ApiModelProperty(value = "发票数量")
    @TableField(exist = false)
    private BigDecimal invoiceQuantity;
    //发票金额
    @ApiModelProperty(value = "发票金额")
    @TableField(exist = false)
    private BigDecimal invoiceAmount;
    //对方单位
    @ApiModelProperty(value = "入库费用维护-对方单位")
    @TableField(exist = false)
    private String wcmCostMainUnit;
    //费用名称
    @ApiModelProperty(value = "入库费用维护-费用名称")
    @TableField(exist = false)
    private String wcmCostName;
    //会计证凭号
    @ApiModelProperty(value = "入库费用维护-会计凭证号")
    @TableField(exist = false)
    private String wcmAccountingVoucherNumber;
    //发票金额
    @ApiModelProperty(value = "入库费用维护-发票金额")
    @TableField(exist = false)
    private BigDecimal wcmInvoiceAmount;
    //已支费用
    @ApiModelProperty(value = "入库费用维护-已支付费用")
    @TableField(exist = false)
    private BigDecimal wcmPaidCost;
    //非付费用
    @ApiModelProperty(value = "入库费用维护-非支付费用")
    @TableField(exist = false)
    private BigDecimal wcmNonPaymentCost;
}
