package com.chinaitop.depot.intelligent.priceApproval.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 财务监管-入库价格核定-三账一致性
 * </p>
 *
 * @author root
 * @since 2024-07-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_storage_price_approval_three_consistence")
@ApiModel(value="BusinessFsStoragePriceApprovalThreeConsistence对象", description="财务监管-入库价格核定-三账一致性")
public class BusinessFsStoragePriceApprovalThreeConsistence implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_fs_storage_price_approval的ID")
    @TableField("fs_storage_price_approval_id")
    private Integer fsStoragePriceApprovalId;

    @ApiModelProperty(value = "年")
    @TableField("year")
    private Integer year;

    @ApiModelProperty(value = "月份")
    @TableField("month")
    private String month;

    @ApiModelProperty(value = "入库情况-仓号")
    @TableField("basic_storehouse_id")
    private Integer basicStorehouseId;

    @ApiModelProperty(value = "入库情况-仓号名称")
    @TableField(exist = false)
    private String basicStorehouseName;

    @ApiModelProperty(value = "入库情况-其中：等量补库")
    @TableField("equal_quantity_supplement")
    private String equalQuantitySupplement;

    @ApiModelProperty(value = "省平台修改-入库情况-其中：等量补库")
    @TableField("province_equal_quantity_supplement")
    private String provinceEqualQuantitySupplement;

    @ApiModelProperty(value = "入库情况-保管账数量")
    @TableField("custody_account_quantity")
    private BigDecimal custodyAccountQuantity;

    @ApiModelProperty(value = "省平台修改-入库情况-保管账数量")
    @TableField("province_custody_account_quantity")
    private String provinceCustodyAccountQuantity;

    @ApiModelProperty(value = "入库情况-统计账数量，单位：公斤；")
    @TableField("statistical_account_quantity")
    private BigDecimal statisticalAccountQuantity;

    @ApiModelProperty(value = "省平台修改-入库情况-统计账数量，单位：公斤；")
    @TableField("province_statistical_account_quantity")
    private BigDecimal provinceStatisticalAccountQuantity;

    @ApiModelProperty(value = "会计账-数量，单位：公斤")
    @TableField("accounting_quantity")
    private BigDecimal accountingQuantity;

    @ApiModelProperty(value = "省平台修改-会计账-数量，单位：公斤；")
    @TableField("province_accounting_quantity")
    private BigDecimal provinceAccountingQuantity;

    @ApiModelProperty(value = "会计账-单价，单位：元/公斤")
    @TableField("accounting_unit_price")
    private BigDecimal accountingUnitPrice;

    @ApiModelProperty(value = "省平台修改-会计账-单价，单位：元/公斤")
    @TableField("province_accounting_unit_price")
    private BigDecimal provinceAccountingUnitPrice;

    @ApiModelProperty(value = "会计账-金额，单位：元")
    @TableField("accounting_amount")
    private BigDecimal accountingAmount;

    @ApiModelProperty(value = "省平台修改-会计账-金额，单位：元")
    @TableField("province_accounting_amount")
    private BigDecimal provinceAccountingAmount;


}
