package com.chinaitop.depot.intelligent.pushs.controller;

import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.devData.model.TLqData;
import com.chinaitop.depot.intelligent.pushs.service.GrainPushsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 接收设备数据
 * @create 2024-05-13 9:02
 */
@RestController
@RequestMapping("/smartStorage")
@Api(tags = "接收设备数据")
public class GrainPushController {
    @Resource
    private GrainPushsService grainPushsService;

    @PostMapping("/uploadGrainTemperatureData")
    @ApiOperation(value = "粮情数据", notes = "json")
    public ResponseEntity uploadGrainTemperatureData(@RequestBody List<TLqData> lqDataList) {
        return grainPushsService.uploadGrainTemperatureData(lqDataList);
    }

}
